Installation

Exemples Voir aussi Historique Outils
Installation

Ce chapitre contient des informations sur les sujets suivants :
  • Remarques sur l'installation
  • Installations parallèles
  • Licences
  • Système requis pour l'installation
  • Rapport d'installation
  • Démarrer l'installation
  • Affichage des logiciels installés
  • Modifier ou actualiser des produits installés
  • Réparer le produit installé
  • Démarrer la désinstallation
  • Installation des mises à jour et des Support Packages
  • Installation automatique de Support Packages
  • Installation et désinstallation de l'outil de migration
  • Installer et désinstaller un serveur de projet TIA


Remarques sur l'installation

Contenu Installation dans un environnement virtuel (Private Cloud) Installation automatisée Utilisation de versions identiques pour les produits TIA Portal lors de l'installation Répertoire cible de l'installation Paramètres de sécurité lors de l'installation de WinCC Utilisation de scanner antivirus Compatibilité avec V12 SP1 et V13 FAQ sur le TIA Portal
Remarques sur l'installation

Contenu

Remarques n'ayant pu figurer dans l'aide en ligne et remarques importantes sur les caractéristiques du produit.

Installation dans un environnement virtuel (Private Cloud)

Vous trouverez les instructions d'installation de TIA Portal dans un environnement virtuel (Private Cloud) sur le support de données d'installation dans le répertoire "Documents\Readme\<Répertoire de la langue>". Ouvrez-y le document PDF "TIAPortalCloudConnectorHowTo<identification de la langue>.pdf".

Installation automatisée

Vous trouverez une description de l'installation automatisée sur le DVD du produit, dans le répertoire "Documents\Readme\<Répertoire de langue>".

Utilisation de versions identiques pour les produits TIA Portal lors de l'installation

Lors de l'installation de différents produits TIA Portal, veillez à utiliser les mêmes versions de Service Pack et de mises à jour pour l'installation. Par exemple : lorsque vous avez installé la version SP1 de STEP 7 V13, vous devez aussi installer la version SP1 de WinCC V13. L'installation des Service Pack et mises à jour doit s'effectuer au même moment pour tous les produits. Ne démarrez pas TIA Portal avant d'avoir mis à niveau tous les produits.

Vous pouvez télécharger le Service Packs gratuitement sur InternetSiemens Industry Online Support.

Répertoire cible de l'installation

N'utilisez aucun caractère UNICODE (p.ex. caractères chinois) dans le chemin d'installation.

Le chemin d'installation ne peut plus être modifié après l'installation d'un produit TIA Portal.

Paramètres de sécurité lors de l'installation de WinCC

Lorsque vous installez WinCC, des paramètres de sécurité sont modifiés dans votre système d'exploitation. Ils sont indiqués pendant le processus d'installation.

Vous devez confirmer ces modifications des paramètres de sécurité.

Si vous effectuez des modifications sur votre système d'exploitation après l'installation, cela peut affecter les modifications apportées aux paramètres de sécurité par l'installation de TIA Portal.

Vous pouvez restaurer les modifications des paramètres de sécurité par l'installation de TIA Portal comme suit :
"Démarrer > Tous les programmes > Siemens Automation > > Security Controller > Restaurer les paramètres".

Utilisation de scanner antivirus

Il peut s'avérer nécessaire pendant l'installation d'accéder en lecture et en écriture à des fichiers déjà installés. Ces accès peuvent être bloqués par certains scanners antivirus. Configurez votre scanner antivirus pour l'installation de TIA Portal pour permettre un accès à ces fichiers.

Compatibilité avec V12 SP1 et V13

Les projets vides des versions précédentes sont installés dans le répertoire d'installation sous ..\<INSTALLDIR>\SampleProjects afin que le TIA Portal actuel puisse être ouvert en mode de compatibilité. Ces projets doivent être copiés dans un répertoire local avec accès total avant de pouvoir être utilisés. Vous trouverez des informations complémentaires à ce sujet sous FAQ ID 82169157.

FAQ sur le TIA Portal

Vous trouverez les FAQ sur TIA Portal sous FAQ.


Installations parallèles

Installation parallèle de WinCC V16 et d'autres produits SIMATIC HMI Utilisation en parallèle
Installations parallèles

Installation parallèle de WinCC V16 et d'autres produits SIMATIC HMI

L'installation parallèle de WinCC V16 et de versions de WinCC flexible antérieures à WinCC flexible 2008 SP5 n'est pas autorisée.

L'installation parallèle de WinCC V16 Comfort/Advanced et de versions de WinCC antérieures à WinCC V7.3 n'est pas autorisée.

L'installation parallèle de WinCC V16 avec WinCC V7.3, WinCC V7.4 ou WinCC V7.5 n'est pas autorisée pour :

  • WinCC V16 Professional

  • WinCC V16 Runtime Professional

Utilisation en parallèle

Si le nom ou la clé de licence comporte la mention supplémentaire "Combo" après l'installation du logiciel, vous êtes autorisé à utiliser les produits/versions suivants, conformément au paragraphe 4.3 des conditions générales (voir également le texte du Setup) :

  • Avec la licence "STEP 7 Professional Combo" : des versions antérieures de STEP 7 (STEP 7 Professional 2006 - STEP 7 Professional V16)

  • Avec la licence "WinCC V16 Comfort Combo" : WinCC flexible 2008 Standard

  • Avec la licence "WinCC V16 Advanced Combo" : WinCC flexible 2008 Advanced


Licences

Licences

Ce chapitre contient des informations sur les sujets suivants :
  • Remarques sur les licences
  • Licence de STEP 7 et de WinCC
  • Comment manipuler les licences et les clés de licence
  • Licenciation de pupitres opérateur
  • Concession de licence de WinCC Runtime sur des pupitres opérateur basés sur PC
  • Concession de licence WinCC Runtime Professional Asie
  • STEP 7 sans licence pour PC-CP


Remarques sur les licences

Mise à disposition des licences Mise à disposition de l'Automation License Manager Travail avec l'Automation License Manager
Remarques sur le système requis Démarrer l'installation Affichage des logiciels installés Modifier ou actualiser des produits installés Réparer le produit installé Démarrer la désinstallation Rapport d'installation
Remarques sur les licences

Mise à disposition des licences

Les licences pour les produits de TIA Portal sont généralement livrées sur le support de données d'installation et sont transférées automatiquement par l'Automation License Manager au cours du processus d'installation de TIA Portal.

Avant de désinstaller TIA Portal, vous devez encore transférer et sauvegarder les licences requises. Utilisez pour cela le Automation License Manager.

Mise à disposition de l'Automation License Manager

L'Automation License Manager , livré sur le support de données d'installation, est transféré automatiquement au cours du processus d'installation.

Si vous désinstallez TIA Portal, l'Automation License Manager reste installé sur votre système.

Travail avec l'Automation License Manager

L'Automation License Manager est un produit de Siemens AG ; il sert à manipuler les clés de licence (concrétisation technique des licences).

Les produits logiciels exigeant des clés de licence, tels que TIA Portal, demandent automatiquement la clé de licence requise à l'Automation License Manager . Si l'Automation License Manager trouve une clé de licence valide, le logiciel peut être utilisé en conformité avec les conditions d'utilisation spécifiées pour ladite clé de licence.

Remarque

De plus amples informations relatives à la gestion de vos licences par l'Automation License Manager figurent dans la documentation livrée avec l'Automation License Manager .


Licence de STEP 7 et de WinCC

Introduction Licences Validité des clés de licence pour d'anciennes versions de STEP 7 Validité des License Keys pour d'anciennes versions de WinCC Validité des licences pour les options WinCC Démarrage sans clé de licence valable Licences nécessaires pour la simulation Licences pour le TIA Portal Cloud Connector
Comment manipuler les licences et les clés de licence
Licence de STEP 7 et de WinCC

Introduction

Vous avez besoin d'une clé de licence ( License Key) pour enregistrer les licences des éditions suivantes de STEP 7 :

  • STEP 7 Basic

  • STEP 7 Professional

Vous pouvez transférer la License Key correspondante pour STEP 7 après l'installation à l'aide d'Automation License Manager.

Dans WinCC, vous avez besoin d'une License Keypour les produits suivants :

  • WinCC Engineering System

  • WinCC Runtime

  • Options pour WinCC Engineering System

  • Options pour WinCC Runtime System

Après l'installation, vous transférez les licences pour WinCC et les options WinCC avec Automation License Manager.

Remarque

Le preneur de licence confirme en outre que le logiciel de la société Microsoft ou des filiales de cette dernière contient un logiciel sous licence. Il accepte alors d'être lié et de se conformer aux conditions générales du contrat de concession de licence joint conclu entre Microsoft SQL Server et le client final.

Licences

Vous disposez des licences suivantes avec les License Keys correspondantes :

  • STEP 7 Basic

  • STEP 7 Professional

  • STEP 7 Professional Combo

  • WinCC Basic

  • WinCC Comfort

  • WinCC Comfort Combo

  • WinCC Advanced

  • WinCC Advanced Combo

  • WinCC Professional

  • WinCC Professional Combo

  • WinCC Unified Comfort Engineering

  • WinCC Unified PC Engineering

  • WinCC RT Advanced

  • WinCC RT Professional

  • WinCC Unified PC

Validité des clés de licence pour d'anciennes versions de STEP 7

Une License Key valable pour la version V15.x de STEP 7 Professional et STEP 7 Professional Combo permet également d'utiliser sans restriction d'anciennes versions de STEP 7. Le tableau suivant contient des informations plus précises à ce sujet :

Edition

Licence

Valable pour

STEP 7 Basic V16.x

STEP 7 Basic

  • STEP 7 Basic V16.x

  • STEP 7 Basic V15.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

STEP 7 Professional V16.x

STEP 7 Professional

  • STEP 7 Professional V16.x

  • STEP 7 Professional V15.x

  • STEP 7 Professional V14.x

  • STEP 7 Professional V13.x

  • STEP 7 Professional V12.x

  • STEP 7 Professional V11.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

STEP 7 Professional V16.x

STEP 7 Professional Combo

  • STEP 7 Professional V16.x

  • STEP 7 Professional V15.x

  • STEP 7 Professional V14.x

  • STEP 7 Professional V13.x

  • STEP 7 Professional V12.x

  • STEP 7 Professional V11.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

  • STEP 7 V5.6

  • STEP 7 V5.5

  • STEP 7 V5.4

  • STEP 7 Professional 2017

  • STEP 7 Professional 2010

  • STEP 7 Professional 2006

Validité des License Keys pour d'anciennes versions de WinCC

Une License Key valide pour WinCC Professional V16.x permet également d'exploiter d'anciennes versions de WinCC sans aucune restriction.

Le tableau suivant contient des informations plus précises à ce sujet :

WinCC Engineering System

Édition

Licence

Valable pour

WinCC Basic V16.x

WinCC Basic

  • WinCC Basic V11.x

  • WinCC Basic V12.x

  • WinCC Basic V13.x

  • WinCC Basic V14.x

  • WinCC Basic V15.x

  • WinCC Basic V16.x

WinCC Comfort/Advanced V16.x

WinCC Comfort

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

WinCC Comfort Combo

  • WinCC flexible Compact, Standard >= 2005

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

WinCC Advanced

  • WInCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Advanced Combo

  • WinCC flexible Compact, Standard, Advanced >= 2005

  • WInCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Professional V16.x

WinCC Professional (512)

WinCC Professional (4096)

WinCC Professional (max.)

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Professional (512) Combo

WinCC Professional (4096) Combo

WinCC Professional (max.) Combo

  • WinCC flexible Compact, Standard, Advanced >= 2008 SP3

  • WinCC SCADA V7.0 SP3 ES

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Unified Comfort V16.x

WinCC Unified Comfort ES

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

  • WinCC Unified Comfort V16.x

WinCC Unified PC V16.x

WinCC Unified PC (10k) ES

  • WinCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified PC V16.x

WinCC Unified PC (100k) ES

WinCC Unified PC (max.) ES

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified PC V16.x

WinCC Runtime

Édition

Licence

Valable pour

WinCC RT Advanced V16.x

WinCC RT Advanced (128)

WinCC RT Advanced (512)

WinCC RT Advanced (2048)

WinCC RT Advanced (4096)

WinCC RT Advanced (8192)

WinCC RT Advanced (16384)

  • WinCC RT Advanced V11.x

  • WinCC RT Advanced V12.x

  • WinCC RT Advanced V13.x

  • WinCC RT Advanced V14.x

  • WinCC RT Advanced V15.x

  • WinCC RT Advanced V16.x

WinCC RT Professional V16.x

WinCC RT Professional (128)

WinCC RT Professional (512)

WinCC RT Professional (2048)

WinCC RT Professional (4096)

WinCC RT Professional (8192)

WinCC RT Professional (65536)

WinCC RT Professional (102400)

WinCC RT Professional (153600)

WinCC RT Professional (262144)

  • WinCC RT Professional V11.x

  • WinCC RT Professional V12.x

  • WinCC RT Professional V13.x

  • WinCC RT Professional V14.x

  • WinCC RT Professional V15.x

  • WinCC RT Professional V16.x

WinCC Unified PC V16.x

WinCC Unified PC (150) RT

WinCC Unified PC (500) RT

WinCC Unified PC (1k) RT

WinCC Unified PC (2,5k) RT

WinCC Unified PC (5k) RT

WinCC Unified PC (10k) RT

WinCC Unified PC (50k) RT

WinCC Unified PC (100k) RT

WinCC Unified PC (max.) RT

  • WinCC Unified PC V16.x

Validité des licences pour les options WinCC

Les options WinCC possèdent en règle générale des License Keys indépendantes de la version. Vous pouvez utiliser les options WinCC V16.x avec des License Keys de versions V11, V12, V13, V14 et V15 et inversement.

Démarrage sans clé de licence valable

Si vous démarrez TIA Portal sans License Key valable, le système affiche un message vous informant du fonctionnement en mode sans licence. Vous avez la possibilité d'activer une licence d'essai (Trial License) une fois. Cette licence n'est toutefois valable que pour un temps limité et expire au bout de 21 jours.

Les cas suivants peuvent se produire à l'expiration de la Trial License :

  • TIA Portal n'a jamais eu de licence sur le PC concerné :

    • Il n'est plus possible d'effectuer des actions nécessitant une licence dans TIA Portal.

  • TIA Portal a déjà eu une licence sur le PC concerné :

    • Le mode sans licence est signalé toutes les 10 minutes ainsi que pour chaque action nécessitant une licence par une fenêtre devant être acquittée.

Licences nécessaires pour la simulation

Vous n'avez pas besoin d'autres licences lorsque vous lancez la simulation dans STEP 7 via la commande "En ligne > Simulation".

Dans les situations suivantes, vous avez besoin même pour la simulation des licences correspondantes pour l'édition de STEP 7 que vous avez installée :

  • La station d'ingénierie est connectée à un API.

  • La connexion à l'API est configurée et active.

Quand vous démarrez la simulation dans WinCC via la commande de menu "En ligne > Simulation > Avec simulateur de variables", vous n'avez pas besoin de licence pour WinCC Runtime ni pour les options nécessitant une licence.

Quand les conditions suivantes sont remplies, la simulation demande aussi les licences appropriées pour WinCC Runtime et pour les options exigeant une licence :

  • La station d'ingénierie est connectée à un API.

  • La connexion à l'API est configurée et active.

  • Vous démarrez le simulateur avec la commande de menu "En ligne > Simulation > Démarrer".

Licences pour le TIA Portal Cloud Connector

Pour utiliser le TIA Portal Cloud Connector, vous avez besoin d'une License Key valide sur chaque appareil que vous définissez comme "Appareil utilisateur" dans le TIA Portal Cloud Connector. La License Key est ensuite également requise si le TIA Portal est installé sur cet appareil. Aucune License Key n'est requise pour les appareils que vous utilisez comme "Appareil distant".


Comment manipuler les licences et les clés de licence

Introduction Licence Trial (licence d'évaluation) Désinstallation des clés de licence pour STEP 7 Installation des clés de licence pour WinCC Transfert des clés de licence sur des pupitres opérateurs Désinstallation des clés de licence Modification des supports de données du système d'ingénierie Sauvegarde des données de pupitres opérateurs (sauvegarde/restauration) Licence invalide après changement de fuseau horaire Licence défectueuse Microsoft SQL Server
Licence de STEP 7 et de WinCC
Comment manipuler les licences et les clés de licence

Introduction

Pour utiliser STEP 7 Basic, STEP 7 Professional et WinCC Engineering System ainsi que les options pour WinCC Engineering System et WinCC Runtime, vous avez besoin d'une License Key valide.

Important

Destruction des clés de licence par copie

Une License Key ne peut pas être copiée. La procédure de protection contre la copie utilisée empêche la copie des License Keys. Tenter de copier une License Key provoque sa destruction !

Licence Trial (licence d'évaluation)

Si vous démarrez TIA Portal sans License Key valable, le système affiche un message vous informant du fonctionnement en mode sans licence. Vous avez la possibilité d'activer une fois une licence Trial. Elle expire au bout de 21 jours.

Après l'expiration de la licence Trial, les cas suivants peuvent survenir :

  • TIA Portal n'a jamais eu de licence sur le PC concerné.

    TIA Portal ne peut plus être démarré.

  • TIA Portal a déjà eu une licence sur le PC concerné.

    TIA Portal peut être démarré. Le mode non licencié est signalé toutes les 10 minutes dans une fenêtre devant être acquittée.

Désinstallation des clés de licence pour STEP 7

Lorsque vous installez STEP 7 Basic, la License Key requise est installée conjointement de manière automatique par le programme d'installation. Lors de l'installation de STEP 7 Professional, le système vous demande à la fin de la procédure d'installation (Setup) de transférer la licence du support de données fourni sur votre PC à l'aide d'Automation License Manager.

Si vous souhaitez installer d'autres License Keys, vous devez utiliser le gestionnaire de licences Automation License Manager.

Lorsque vous installez une licence, la License Key correspondante est supprimée du lieu d'archivage des License Keys.

Remarque

Conservez dans tous les cas le lieu d'archivage d'origine des License Keys après l'installation.

Installation des clés de licence pour WinCC

Lorsque vous installez WinCC Basic, la License Key requise est installée conjointement de manière automatique par le programme d'installation. Lors de l'installation de WinCC Professional, le système vous demande à la fin de la procédure d'installation (Setup) de transférer la licence du support de données fourni sur votre PC à l'aide d'Automation License Manager.

Pour utiliser WinCC Runtime ou le simulateur sur l'Engineering-PC via la commande de menu "En ligne > Simulation > Démarrer", vous avez besoin de License Keys supplémentaires. Utilisez pour cela l'Automation License Manager.

Lorsque vous installez une licence, la License Key correspondante est supprimée du lieu d'archivage des License Keys.

Remarque

Conservez dans tous les cas le lieu d'archivage d'origine des License Keys après l'installation.

Transfert des clés de licence sur des pupitres opérateurs

Transférez les License Keys sur le pupitre opérateur pour faire fonctionner WinCC.

Vous transférez une License Key sur le pupitre opérateur dans les cas suivants :

  • Pour utiliser WinCC Runtime.

  • Pour utiliser des options de WinCC Runtime.

Lorsque vous transférez une licence sur un pupitre opérateur, la License Key correspondante est supprimée du lieu d'archivage des License Keys.

Lorsque vous n'avez plus besoin de la licence ou souhaitez sauvegarder des données, vous devez transférer les License Keys depuis le pupitre opérateur. Vous pouvez utiliser cette licence sur un autre PC ou pupitre opérateur.

Désinstallation des clés de licence

La désinstallation de License Keys se fait toujours au moyen du gestionnaire de licences Automation License Manager. Vous désinstallez une License Key dans les cas suivants :

  • Lorsque vous sauvegardez des données.

  • Lorsque vous n'avez plus besoin de la licence.

Vous pouvez utiliser une licence valide sur un autre PC.

Modification des supports de données du système d'ingénierie

Des modifications des support de données du système d'ingénierie peuvent entraîner la destruction de la License Key. Avant d'effectuer des telles modifications, appelez l'Automation License Manager et sauvegardez la License Key à désinstaller sur un autre lieu d'archivage.

Important

Destruction des clés de licence sur des PC

Désinstallez tout d'abord toutes les License Keys si l'un des cas suivants se produit :

  • Formatage du disque dur

  • Compression du disque dur

  • Restauration du disque dur

  • Démarrage d'un programme d'optimisation déplaçant des blocs fixes

  • Installation d'un nouveau système d'exploitation

Lisez la description d'Automation License Manager ("Démarrer > Siemens Automation > Documentation"). Tenez compte de tous les avertissements et de toutes les remarques.

Sauvegarde des données de pupitres opérateurs (sauvegarde/restauration)

Lors de la sauvegarde de données sur le pupitre opérateur, vous désinstallez les License Keys du pupitre concerné. Pour ce faire, appelez l'Automation License Manager et sauvegardez la License Key à désinstaller sur un autre lieu d'archivage.

Important

Destruction des clés de licence sur des pupitres opérateur non basés sur PC

Les clés de licence transférées sont détruites par des opérations de sauvegarde/restauration sur les pupitres opérateur suivants :

  • Gamme 270

  • Gamme 370

Avant de commencer la restauration, exécutez les étapes suivantes :

  • Vérifiez avec Automation License Manager et ProSave s'il y a des License Keys sur le pupitre opérateur.

  • Transférez les License Keys présentes depuis le pupitre opérateur.

    Après la restauration, transférez de nouveau les License Keys sur le pupitre opérateur.

Licence invalide après changement de fuseau horaire

Les licences installées ne fonctionnement plus si vous changez le fuseau horaire sur un PC de la manière suivante : en changeant d'un fuseau horaire se référant à une heure pleine à un fuseau horaire ne se référant pas à une heure pleine.

Pour éviter ce comportement, désinstallez à l'aide de l'Automation License Manager la License Key avec le fuseau horaire sélectionné lors de l'installation de la License Key.

Exemple : vous voulez utiliser le pupitre opérateur paramétré pour le fuseau horaire "GMT +3:00" dans le fuseau horaire "GMT +3:30".

  1. Désinstallez la License Key avec le paramétrage de fuseau horaire "GMT +3:00".

  2. Modifiez les paramètres de fuseau horaire en conséquence sur votre PC.

  3. Installez la License Key.

Ce comportement ne concerne pas la licence Trial.

Licence défectueuse

Une licence est défectueuse dans les cas suivants :

  • Si la License Key n'est plus accessible sur le lieu d'archivage.

  • Lorsque la License Key disparaît lors du transfert sur le lecteur cible.

Remarque

Si vous remettez la date système à une date antérieure, toutes les licences sont défectueuses.

Vous pouvez réparer la licence défectueuse à l'aide de l'Automation License Manager. Utilisez pour cela la fonction "Restaurer" ou l'"Assistant à la restauration" de l'Automation License Manager. Pour la restauration, contactez l'assistance client. Pour plus d'informations à ce sujet, consultez le site Internet : http://support.automation.siemens.com

Remarque

Le fonctionnement sans erreur du runtime est garanti même en cas de licence manquante ou défectueuse. Le système affiche à intervalles réguliers un message vous informant du mode non licencié.

Microsoft SQL Server

L'utilisation de la base de données Microsoft SQL Server nécessite une licence. Cette licence est présente après une installation correcte de WinCC.

Le serveur SQL mis sous licence lors de l'installation de WinCC ne peut être utilisé qu'en corrélation avec WinCC.

L'utilisation à d'autres fins nécessite une licence supplémentaire. Par ex. :

  • Utilisation pour des bases de données personnelles

  • Utilisation pour des applications tierces

  • Utilisation de mécanismes d'accès SQL qui ne sont pas mis à disposition par WinCC

Désinstallation

Une fois WinCC désinstallé, vous devez désinstaller l'instance de serveur SQL "WinCC". Sous "Panneau de configuration > Logiciel" sélectionnez l'entrée "Microsoft SQL Server 20.." pour la désinstaller.


Licenciation de pupitres opérateur

Clé de licence Remarques sur la manipulation des licences Mode non licencié
Licenciation de pupitres opérateur

Les pupitres opérateur non basés sur PC sont équipés de licences Runtime. Une License Key n'est pas nécessaire pour le fonctionnement en Runtime.

Une licence peut être est nécessaire pour exécuter une option pour pupitres opérateur non basés sur PC. La License Key de la licence correspondante valide respectivement l'utilisation d'une option.

Clé de licence

Pour une concession de licence avec License Keys sur des pupitres opérateur non basés sur PC, l'add-on "SIMATIC HMI License Manager Panel Plugin" est nécessaire.

Le setup de WinCC installe cet add-on par défaut. Vous ouvrez License Manager Panel Plugin dans Automation License Manager avec la commande de menu "Edition > Connecter le système cible > Connecter le pupitre opérateur".

Quand WinCC n'est pas installé, vous devez installer ProSave 7.2 ou supérieur.

Remarques sur la manipulation des licences

  • Pour plus d'informations sur la manipulation des licences, référez-vous à l'aide en ligne de l'Automation License Manager.

  • Assurez-vous, avant de commencer la concession de licence, que le pupitre opérateur est équipé au minimum d'une version actuelle du système d'exploitation. Au besoin, actualisez le système d'exploitation avec ProSave.

  • Le preneur de licence confirme en outre que le logiciel de la société Microsoft ou des filiales de cette dernière contient un logiciel sous licence. Il accepte alors d'être lié et de se conformer aux conditions générales du contrat de concession de licence joint conclu entre Microsoft SQL Server et le client final.

Mode non licencié

Les options Runtime sont utilisables provisoirement sans licence valable, sans restriction des fonctions. Le mode non licencié s'affiche toutes les 10 minutes dans une fenêtre devant être acquittée.


Concession de licence de WinCC Runtime sur des pupitres opérateur basés sur PC

License Key Remarques sur la manipulation des licences Mode non licencié
Concession de licence de WinCC Runtime sur des pupitres opérateur basés sur PC

License Key

En cas de pupitres opérateur basés sur PC, vous avez besoin d'une clé de licence pour les logiciels suivants :

  • WinCC Runtime, p. ex. avec 128 variables

  • Options WinCC

La clé de licence pour WinCC Runtime peut être transférée immédiatement lors de l'installation de Win CC. Après l'installation, vous transférez les licences pour les options WinCC avec Automation License Manager.

Remarque

Seul le Certificate of License pour WinCC Runtime V15.1 autorise à utiliser WinCC Runtime V15.1.

Pour une concession de licence WinCC Runtime, vous avez besoin de la nouvelle licence correspondante.

Vous pouvez mettre à jour les licences Runtime de WinCC flexible 2008 et de WinCC V7 en effectuant une mise à niveau vers WinCC Runtime V15.1.

L'utilisation productive du logiciel n'est autorisée qu'avec un Certificate of License valide pour la version qu'y est mentionnée.

Remarques sur la manipulation des licences

  • Si vous mettez à jour une version antérieure à la version V15, vous avez besoin de nouvelles licences pour WinCC Runtime Professional.

  • Le preneur de licence confirme en outre que le logiciel de la société Microsoft ou des filiales de cette dernière contient un logiciel sous licence. Il accepte par les présentes d'être lié et de se conformer aux conditions générales du contrat de concession de licence joint conclu entre Microsoft SQL Server et le client final.

Mode non licencié

Vous pouvez utiliser sans restriction WinCC Runtime et les options Runtime sans licence valide. Le mode non licencié s'affiche toutes les 10 minutes dans une fenêtre devant être acquittée.


Concession de licence WinCC Runtime Professional Asie

Introduction Utilisation du dongle pour un Runtime Professional asiatique Simulation d'un projet WinCC dans une langue asiatique
Concession de licence WinCC Runtime Professional Asie

Introduction

Si vous utilisez WinCC Runtime Professional dans une langue asiatique, un dongle est en outre utilisé pour le contrôle de validité de la licence requise. Le dongle est livré sous forme d'une clé USB certifiée avec la clé de licence requise pour WinCC Runtime Professional Asie. La clé de licence est enregistrée sur la clé USB certifiée.

Les langues asiatiques suivantes sont protégées par un dongle :

  • Chinois simplifié

  • Chinois traditionnel

  • Japonais

  • Coréen

Utilisation du dongle pour un Runtime Professional asiatique

Pour réussir une concession de licence d'un projet WinCC dans une langue asiatique, transférez la clé de licence requise à l'aide d'"Automation License Manager" de la clé USB certifiée vers le pupitre opérateur. Insérez la clé USB dans le port USB du pupitre opérateur. La clé USB fait office de dongle en runtime. Le dongle doit toujours rester inséré dans le port USB en runtime.

Si vous retirez le dongle en runtime, WinCC Runtime passe en mode Démonstration.

Le clés USB livrées pour le marché asiatique sont certifiées pour une utilisation continue sur des installations de production. Vous ne pouvez donc pas en copier ou en transférer le contenu sur une autre clé USB. En cas de perte ou de défaut d'une clé USB certifiée, une nouvelle clé USB certifiée est indispensable.

Simulation d'un projet WinCC dans une langue asiatique

Vous avez alors également besoin d'une clé USB certifiée utilisée comme dongle pour la simulation. Si vous ne disposez d'aucun dongle, la simulation est exécutée en mode Démonstration.


STEP 7 sans licence pour PC-CP

Fonctions de STEP 7 pour PC-CP Système d'information Mise à niveau aux fonctionnalités de STEP 7 Professional
STEP 7 sans licence pour PC-CP

Fonctions de STEP 7 pour PC-CP

STEP 7 pour PC-CP est une version complète de STEP 7 qui a été installée sans licence. Dans cette version, vous disposez uniquement des possibilités de configuration et de diagnostic pour les composants suivants :

  • PC-CP et applications (serveur OPC) pour les stations PC

  • Commutateurs SCALANCE X

  • Routeur SCALANCE W / SCALANCE M

  • Modules de sécurité SCALANCE S

  • Périphériques PROFINET IO et esclaves PROFIBUS DP

  • IE/PB LINK PN IO, IWLAN/PB LINK PN IO

  • Plot de lecture/écriture (RFID) et lecteurs optiques (MV)

Les stations SIMATIC et composants WinAC sont disponibles dans la vue du réseau et dans la vue topologique (aucune vue des appareils). Les fonctions de programmation ne sont pas disponibles.

Système d'information

Le système d'information existant dans la version STEP 7 pour PC-CP décrit l'ensemble des fonctionnalités de STEP 7. Tenez compte par conséquent de la restriction aux fonctions de configuration des groupes d'appareils précités.

Mise à niveau aux fonctionnalités de STEP 7 Professional

L'ensemble des fonctionnalités de STEP 7 est déjà disponible sur votre station d'ingénierie par le biais de l'installation de STEP 7 pour PC-CP mais leur utilisation est limitée.

Une installation de licence ultérieure vous permet de mettre à niveau à tout moment l'ensemble des fonctionnalités de STEP 7. Une réinstallation n'est pas nécessaire. Les projets créés auparavant dans STEP 7 pour PC-CP peuvent continuer à être utilisés sans restriction après l'installation d'une licence.


Système requis pour l'installation

Système requis pour l'installation

Ce chapitre contient des informations sur les sujets suivants :
  • Remarques sur le système requis
  • Conditions logicielles et matérielles requises générales
  • Particularités spécifiques au produit


Remarques sur le système requis

Système requis pour les différents produits Affichage de fichiers PDF Afficher le Welcome Tour Windows 7 et Windows Server 2008 R2 : validation de certificats non valide Note sur les installations sous Windows 7 Windows 10 : Polices de caractères
Remarques sur les licences Démarrer l'installation Affichage des logiciels installés Modifier ou actualiser des produits installés Réparer le produit installé Démarrer la désinstallation
Remarques sur le système requis

Système requis pour les différents produits

Le système requis dépend des produits que vous souhaitez installer. Veuillez par conséquent tenir compte des conditions spécifiques à vos produits.

Si vous souhaitez installer plusieurs produits, veuillez tenir compte du système requis pour le produit dont les exigences sont les plus élevées.

Affichage de fichiers PDF

Afin de lire les fichiers PDF livrés, il vous faut un lecteur de PDF compatible avec la version PDF 1.7, p. ex. Adobe (R) Reader Version 9.

Afficher le Welcome Tour

Pour démarrer le Welcome Tour de TIA Portal, vous avez besoin de la version 9 de Adobe (R) Flashplayer.

Windows 7 et Windows Server 2008 R2 : validation de certificats non valide

Il se peut que les nouveaux certificats utilisés pour la signature ne soient pas validés pour les systèmes d'exploitation Windows 7 et Windows Server 2008 R2.

La signature des fichiers produit sera affichée le cas échéant comme non valide si une actualisation en ligne de la mémoire de certificats n'a pas été effectuée. Dans ce cas, actualisez les certificats racine mis à disposition par Microsoft dans les systèmes hors ligne. Pour ce faire, veuillez suivre les instructions contenues dans FAQ 109748887.

Note sur les installations sous Windows 7

TIA Portal est uniquement exécutable sur les systèmes Windows prenant en charge l'algorithme de hachage SHA2. La prise en charge de SHA2 sous Windows 7 n'est possible qu'après l'installation d'une mise à jour de sécurité (KB 3033929). Assurez-vous donc que les dernières mises à jour de sécurité pour Windows sont installées sur votre système.

Windows 10 : Polices de caractères

Depuis la mise à jour à la version 1809 de Windows 10, Windows permet d'installer des polices de caractères avec droits d'administrateur pour chaque utilisateur (commande "Installer pour tous les utilisateurs" dans le menu contextuel) ou de manière spécifique à l'utilisateur. Pour utiliser des polices de caractères dans WinCC et les charger sur un pupitre opérateur sans restriction, ces dernières doivent être installées avec des droits d'administrateur.

Veuillez noter que le bouton "Installer" dans la vue d'une police de caractères n'exécute qu'une installation spécifique à l'utilisateur.


Conditions logicielles et matérielles requises générales

Conditions requises pour l'installation Configuration matérielle PC recommandée Plateformes de virtualisation prises en charge Programmes de sécurité pris en charge
Remarques sur les licences Démarrer l'installation Vérifier la disponibilité et installer les mises à jour et Support Packages Affichage des logiciels installés Modifier ou actualiser des produits installés Réparer le produit installé Démarrer la désinstallation
Conditions logicielles et matérielles requises générales

Conditions requises pour l'installation

Le tableau suivant indique les conditions matérielles et logicielles minimales requises pour l'installation :

Matériel / logiciel

Condition requise

Processeur

Intel® Core™ i3-6100U 2,30 GHz

RAM

8 Go

Disque dur

S-ATA avec au minimum 20 Go de mémoire libre

Réseau

A partir de 100 Mbits

Résolution de l'écran

1024 x 768

Systèmes d'exploitation *

Windows 7 (64 bits) ***

  • Windows 7 Home Premium SP1 **

  • Windows 7 Professional SP1

  • Windows 7 Enterprise SP1

  • Windows 7 Ultimate SP1

Windows 10 (64 bits)

  • Windows 10 Home Version 1809 **

  • Windows 10 Home Version 1903 **

  • Windows 10 Professional Version 1809

  • Windows 10 Professional Version 1903

  • Windows 10 Enterprise Version 1809

  • Windows 10 Enterprise Version 1903

  • Windows 10 IoT Enterprise 2015 LTSB

  • Windows 10 IoT Enterprise 2016 LTSB

  • Windows 10 IoT Enterprise 2019 LTSC

Windows Server (64 bits)

  • Windows Server 2012 R2 StdE (installation complète)

  • Windows Server 2016 Standard (installation complète)

  • Windows Server 2019 Standard (installation complète)

* Y compris toutes les mises à jour de sécurité jusqu'au Microsoft Security Bulletin Summary du mois d'août 2019 (MS19-Aug). * Reportez-vous à l'aide de Microsoft Windows ou au site Internet de Microsoft pour plus d'informations sur les systèmes d'exploitation.

** Uniquement pour les éditions Basic

*** Pas pour STEP7 Professional - WinCC Professional

Remarque

Expiration du support étendu pour Windows 7

Notez que Microsoft ne fournit plus de mises à jour de sécurité ou de support pour les PC, sur lesquels Windows 7 s'exécute, une fois la période de support étendue pour Windows 7 expirée. Le logiciel peut néanmoins être installé.

Certains produits prennent peut-être en charge d'autres versions de Windows. Pour plus d'informations à ce sujet, voir les configurations système requises spécifiques aux produits ou vérifiez la compatibilité avec l'outil de compatibilité. Vous trouverez l'outil de compatibilité sur Internet à l'adresse https://support.industry.siemens.com/kompatool/pages/main/index.jsf?.

Configuration matérielle PC recommandée

Le tableau suivant indique les conditions matérielles requises :

Matériel / logiciel | Condition requise
Ordinateur | À partir de SIMATIC FIELD PG M5 Advanced (ou PC similaire)
Processeur | Intel® Core™ i5-6440EQ (jusqu'à 3,4 GHz)
RAM | 16 Go ou plus (pour les projets importants 32 Go)
Disque dur | SSD avec au minimum 50 Go de mémoire libre
Réseau | 1 Gbit (pour utilisateurs multiples)
Ecran | 15,6" Full HD Display (1920 x 1080 ou plus)

Plateformes de virtualisation prises en charge

Vous pouvez installer les progiciels "SIMATIC STEP 7" et "SIMATIC WinCC" dans une machine virtuelle. Utilisez à cet effet une des plateformes de virtualisation suivantes, de la version indiquée ou plus récente :

  • VMware vSphere Hypervisor (ESXi) 6.5 ou version supérieure

  • VMware Workstation 15.0.2 ou version supérieure

  • VMware Player 15.0.2 ou version supérieure

  • Microsoft Hyper-V Server 2016 ou version supérieure

Les systèmes d'exploitation suivants sont recommandés comme systèmes d'exploitation hôtes pour ces plateformes de virtualisation :

Système d'exploitation | VMware vSphere Hypervisor (ESXi) | VMware Workstation | VMware Player | Microsoft Hyper-V
Windows Server 2016 Standard (installation complète) | - | - | - | x
Windows Server 2019 Standard (installation complète) | - | - | - | x
Windows 7 Professional SP1 | x | x | x | -
Windows 7 Enterprise SP1 | x | x | x | -
Windows 7 Ultimate SP1 | x | x | x | -
Windows 10 Professional versions 1809 et 1903 | x | x | x | -
Windows 10 Enterprise version 1809 et 1903 | x | x | x | -
Windows 10 IoT Enterprise 2015 LTSB | x | x | x | -
Windows 10 IoT Enterprise 2016 LTSB | x | x | x | -
Windows 10 (IoT) Enterprise 2019 LTSC | x | x | x | -
x : utilisable en tant que système d'exploitation hôte - : pas utilisable en tant que système d'exploitation hôte

A l'intérieur de la plateforme de virtualisation sélectionnée, les systèmes d'exploitation invités suivants sont recommandés :

Système d'exploitation | VMware vSphere Hypervisor (ESXi) | VMware Workstation | VMware Player | Microsoft Hyper-V
Windows Server 2012 R2 StdE (installation complète) | - | - | - | x
Windows Server 2016 Standard (installation complète) | - | - | - | x
Windows Server 2019 Standard (installation complète) | - | - | - | x
Windows 7 Professional SP1 | x | x | x | x
Windows 7 Enterprise SP1 | x | x | x | x
Windows 7 Ultimate SP1 | x | x | x | x
Windows 10 Professional versions 1809 et 1903 | x | x | x | x
Windows 10 Enterprise version 1809 et 1903 | x | x | x | x
Windows 10 IoT Enterprise 2015 LTSB | x | x | x | x
Windows 10 IoT Enterprise 2016 LTSB | x | x | x | x
Windows 10 (IoT) Enterprise 2019 LTSC | x | x | x | x
x : utilisable en tant que système d'exploitation invité - : pas utilisable en tant que système d'exploitation invité

Remarque

  • Les exigences matérielles requises pour les systèmes d'exploitation hôtes sont les mêmes que celles des différents produits TIA.

  • L'utilisateur doit veiller à fournir suffisamment de ressources système pour les systèmes d'exploitation hôtes.

  • Pour l'utilisation du serveur HyperV et d'ESXi, il est recommandé d'utiliser le matériel certifié par les fabricants.

  • L'utilisation de Microsoft Hyper-V ne permet pas d'afficher les abonnés accessibles.

Programmes de sécurité pris en charge

Les programmes de sécurité suivants sont compatibles avec "SIMATIC STEP 7 et "SIMATIC WinCC" :

  • Détecteurs de virus :

    • Symantec Endpoint Protection 14

    • Trend Micro Office Scan 12.0

    • McAfee Endpoint Security (ENS) 10.5

    • Kaspersky Endpoint Security 11.1

    • Windows Defender

    • Qihoo 360 "Safe Guard 11.5" + "Virus Scanner"

    Remarque

    Veillez à utiliser la version la plus récente du scanner et des bases de données antivirus.

    La dernière mise à jour des signatures de virus a eu lieu le 02/09/2019.

  • Logiciels de cryptage :

    • Microsoft Bitlocker

  • Système de détection d'intrusion basé sur l'hôte :

    • McAfee Application Control 8.0


Particularités spécifiques au produit

Particularités spécifiques au produit

Ce chapitre contient des informations sur les sujets suivants :
  • Installation de WinCC Runtime Professional
  • Désinstallation d'une instance SQL
  • Remarques sur l'installation de TIA Portal Teamcenter Gateway


Installation de WinCC Runtime Professional

Installation dans des domaines et des groupes de travail Exploitation sur un serveur de réseau Nom d'ordinateur Windows Activer la communication à distance
Installation de WinCC Runtime Professional

Installation dans des domaines et des groupes de travail

WinCC est en principe validé pour fonctionner dans un domaine ou un groupe de travail.

Tenez compte cependant du fait que les stratégies de groupe liées à des domaines et les restrictions du domaine peuvent entraver l'installation. Déconnectez dans ce cas l'ordinateur du domaine avant d'installer Microsoft Message Queuing, Microsoft SQL Server et WinCC. Connectez-vous localement à l'ordinateur concerné avec des droits d'administrateur. Exécutez l'installation. Une fois l'installation terminée, vous pouvez reconnecter l'ordinateur WinCC au domaine. Lorsque les stratégies de groupe liées à des domaines et les restrictions du domaine n'entravent pas l'installation, l'ordinateur ne doit pas être déconnecté du domaine pendant l'installation.

Tenez compte du fait que les stratégies de groupe liées à des domaines et les restrictions du domaine peuvent aussi entraver le fonctionnement. Si vous ne pouvez trouver de solution à ces restrictions, utilisez alors l'ordinateur WinCC dans un groupe de travail.

Adressez-vous si besoin est à l'administrateur de domaine.

Exploitation sur un serveur de réseau

L'exploitation de WinCC Runtime Professional sur un serveur de réseau (p. ex. Domain Controller, File Server, Name Utility Server, Software Firewall, Media Server, Exchange Server) n'est pas autorisée.

Nom d'ordinateur Windows

Ne modifiez pas le nom d'ordinateur Windows après l'installation de WinCC.

Si vous modifiez le nom d'ordinateur Windows, vous devez impérativement désinstaller et réinstaller le serveur SQL.

Les caractères suivants ne sont pas autorisés dans le nom de l'ordinateur :

  • . , ; : ! ? " ' ^ ´ ` ~ _

  • + = / \ ¦ @ * # $ % & § °

  • ( ) [ ] { } < >

  • Espace

Tenez compte des points suivants lorsque vous attribuez le nom d'ordinateur Windows :

  • Seules les majuscules peuvent être utilisées.

  • Le premier caractère doit être une lettre.

  • Les 12 premiers caractères du nom d'ordinateur doivent être univoques.

Activer la communication à distance

Sur les systèmes WinCC, la communication à distance est désactivée par défaut dans la boîte de dialogue "SIMATIC Shell" après l'installation. Vous devez activer la communication à distance sur les ordinateurs concernés pour les cas d'application suivants :

  • Chargement de Runtime dans un autre ordinateur

  • Communication client-serveur

  • Système redondant

  • Option WinCC "WebNavigator"

    La communication à distance doit être activée lorsque le client WebNavigator ne s'exécute pas sur le même ordinateur que le serveur WebNavigator.

Pour autoriser l'accès distant, procédez de la manière suivante :

  1. Ouvrez les paramètres de communication via le menu contextuel de Simatic Shell dans Windows Explorer.

  2. Activez l'option "Communication à distance".

  3. Configurez la communication cryptée dans le réseau : Sélectionnez la clé PSK et le port.

  4. Sélectionnez la carte réseau ainsi que les paramètres Multicast si nécessaire.


Désinstallation d'une instance SQL

Contenu Désinstallation d'une instance SQL
Désinstallation d'une instance SQL

Contenu

Une nouvelle instance WINCC SQL 2016 SP2 est installée avec l'installation de WinCC V16.

Si vous aviez déjà installé une version de WinCC Runtime Professional, avant d'installer WinCC Professional V16, vous devez

  • d'abord installer WinCC Runtime Professional V16 ou

  • désinstaller les instances antérieures "WINCC" de SQL Server.

Remarque

Une désinstallation de WinCC Runtime Professional ou de WinCC Professional n'entraîne pas la désinstallation de l'instance du serveur SQL.

Désinstallation d'une instance SQL

L'exemple suivant décrit la marche à suivre pour désinstaller l'instance de Microsoft SQL Server 2008 R2.

  1. Ouvrez le panneau de configuration.

  2. Cliquez sur Désinstaller un programme.

  3. Dans la liste des programmes installés, sélectionnez "Microsoft SQL Server 2008 R2" et cliquez sur "Désinstaller/Modifier".

  4. Dans la boîte de dialogue "SQL Server 2008 R2", cliquez sur "Remove".

  5. Dans la boîte de dialogue "Setup Support Rules", cliquez sur "OK".

  6. Dans la boîte de dialogue "Select Instance", sélectionnez l'instance "WINCC" et cliquez sur "Next".

  7. Dans la boîte de dialogue "Select Features", cliquez sur "Select All" puis sur "Next".

  8. Dans la boîte de dialogue "Removal Rules", cliquez sur "Next".

  9. Dans la boîte de dialogue "Ready to Remove", cliquez sur "Remove".

  10. Une fois la désinstallation terminée, cliquez sur "Close" dans la boîte de dialogue "Complete".

La marche à suivre pour désinstaller une instance de SQL Server 2005 ou de SQL Server 2014 est similaire.


Remarques sur l'installation de TIA Portal Teamcenter Gateway

Introduction Conditions requises pour l'installation Installation du Modèle de données TIA Portal Teamcenter Gateway Versions TIA Portal identiques lors de l'installation Chemin d'installation Scanner antivirus
Remarques sur l'installation de TIA Portal Teamcenter Gateway

Introduction

Vous pouvez installer TIA Portal Teamcenter Gateway comme suit :

  • Avec l'installation de TIA Portal

    Remarque

    Des droits d'administrateur sont requis pour l'installation du serveur.

Conditions requises pour l'installation

Sur votre ordinateur :

  • Teamcenter Rich Application Client (nommé "RAC" ci-après) ou Teamcenter Client Communication System (TCCS) version 11.2 ou une version supérieure doit être installé.

    Remarque

    Si vous avez installé TCCS de manière autonome, vous devez également installer "Microsoft Visual C++ 2013 – Redistributable". Cela vous permet de vous assurer de pouvoir établir une liaison entre TIA Portal et TIA Portal Teamcenter Gateway.

  • Une liaison est établie entre FCC/FMS (FileClientCache/FileManagementSystem) et "Teamcenter Server 11.2" ou une version supérieure.

    Remarque

    • Assurez-vous après une réinstallation ou un redémarrage qu'une liaison est établie entre FCC/FMS (FileClientCache/FileManagementSystem) et "Teamcenter Server 11.2" ou une version supérieure.

    • Vérifiez la clé de registre après une réinstallation ou un redémarrage. Vous trouverez de plus amples informations sur la vérification de la clé de registre dans l'aide en ligne "TIA Portal Teamcenter Gateway" au paragraphe "Installation et désinstallation de TIA Portal Teamcenter Gateway" > "Vérification de l'installation de TIA Portal Teamcenter Gateway".

    • Assurez-vous après une réinstallation ou un redémarrage que vous pouvez enregistrer un type d'élément dans Teamcenter et que vous pouvez ajouter un objet DataSet à une révision de l'élément. Vous trouverez de plus amples informations sur la sauvegarde des types d'éléments dans l'aide en ligne "TIA Portal Teamcenter Gateway", dans la rubrique "Administrer les projets TIA Portal avec TIA Portal Teamcenter Gateway", au paragraphe "Sauvegarder le projet TIA Portal comme nouvel élément dans Teamcenter".

    • Assurez-vous après une réinstallation ou un redémarrage qu'un transfert de fichiers est possible entre Teamcenter Rich Application Client et Teamcenter Server.

  • Le modèle de données fourni, constitué de plusieurs fichiers, doit être installé sur le Teamcenter Server.

Installation du Modèle de données TIA Portal Teamcenter Gateway

L'installation du Modèle de données TIA Portal Teamcenter Gateway fourni doit être effectuée avec "Environment Manager".

Vous trouverez une description de l'installation sur le DVD du produit, dans le répertoire "\Support\Teamcenter_11\ServerSetupDocument\".

Versions TIA Portal identiques lors de l'installation

Lors de l'installation de différents produits TIA Portal, veillez à utiliser les mêmes versions de Service Pack et de mises à jour pour l'installation.

Ainsi, si vous avez par exemple installé TIA Portal V14 ou une version supérieure, vous devez également installer TIA Portal Teamcenter Gateway V14 ou une version supérieure.

Chemin d'installation

N'utilisez pas de caractères Unicode (p. ex. caractères chinois) dans le chemin d'installation.

Scanner antivirus

Il peut s'avérer nécessaire pendant l'installation d'accéder en lecture et en écriture à des fichiers déjà installés. Certains logiciels antivirus empêchent ceci. Il est donc recommandé de désactiver le logiciel antivirus durant l'installation de TIA Portal Teamcenter Gateway et de ne le réactiver qu'ensuite.


Rapport d'installation

Fonction du rapport d'installation Lieu d'enregistrement des rapports d'installation Setup_Report (fichier CAB)
Remarques sur les licences Démarrer l'installation Vérifier la disponibilité et installer les mises à jour et Support Packages Affichage des logiciels installés Modifier ou actualiser des produits installés Réparer le produit installé Démarrer la désinstallation
Rapport d'installation

Fonction du rapport d'installation

Pendant l'installation, l'état d'avancement de la procédure est enregistré dans un fichier.

  • Installation de produits

  • Modification ou installation de produits installés

  • Réparation d'une installation

  • Désinstallation de produits

Si des erreurs surviennent ou des avertissements s'affichent en cours d'installation, vous pouvez les analyser grâce au fichier de rapport. Vous pouvez le faire vous-même ou vous adresser au Support produit.

Lieu d'enregistrement des rapports d'installation

Le fichier de rapport est le fichier à extension ".log" le plus récent dont le nom débute par "SIA".

Le lieu d'enregistrement du fichier de rapport figure dans la variable d'environnement "%autinstlog%". Vous pouvez entrer cette variable d'environnement dans la barre d'adresse de Windows Explorer pour ouvrir le dossier contenant les fichiers de rapport. Vous pouvez également naviguer jusqu'au répertoire voulue en entrant "CD %autinstlog%" dans la ligne de commande.

Le lieu d'enregistrement dépend du système d'exploitation, p. ex. Programdata\Siemens\Automation\Logfiles\Setup" dans la version anglaise de Windows.

Setup_Report (fichier CAB)

Pour que vous puissiez fournir tous les fichiers requis au Support produit, le système crée en outre un fichier d'archive au format CAB qui contient le rapport d'installation et tous les autres fichiers requis. Cette archive se trouve sous "%autinstlog%\Reports\Setup_report.cab". Transmettez ce fichier CAB au Support produit si vous avez besoin d'assistance lors de l'installation. Le Support produit sera alors en mesure de vérifier que l'installation s'est déroulée sans problème. Les fichiers CAB générés lors de processus d'installation antérieurs, sont enregistrés avec leur date de création dans le répertoire "Reports" .


Démarrer l'installation

Introduction Condition requise Marche à suivre Résultat
Rapport d'installation Remarques sur le système requis Remarques sur les licences Affichage des logiciels installés Modifier ou actualiser des produits installés Réparer le produit installé Démarrer la désinstallation
Démarrer l'installation

Introduction

L'installation des progiciels s'effectue automatiquement au moyen d'un programme d'installation. Celui-ci démarre lorsque vous insérez le support de données d'installation dans le lecteur correspondant.

Condition requise

  • Le matériel et le logiciel de votre PG/PC sont conformes aux exigences du système.

  • Vous disposez des droits d'administrateur sur votre ordinateur.

  • Vous avez quitté tous les programmes en cours.

Marche à suivre

Pour installer les progiciels, procédez de la manière suivante :

  1. Insérez le support de données d'installation dans le lecteur correspondant.

    Si vous n'avez pas désactivé la fonction Autostart sur votre PG/PC, le programme d'installation démarre automatiquement.

  2. Si le programme d'installation ne démarre pas automatiquement, démarrez-le manuellement en effectuant un double clic sur le fichier "Start.exe".

    La boîte de dialogue de sélection de la langue d'installation s'ouvre.

  3. Sélectionnez la langue dans laquelle vous désirez lire les dialogues du programme d'installation.

  4. Pour lire les remarques sur le produit et sur l'installation, cliquez sur le bouton "Lire les remarques" ou "Remarques sur l'installation".

    Le fichier d'aide correspondant contenant les remarques s'ouvre.

  5. Après avoir lu les remarques, fermez le fichier d'aide et cliquez sur le bouton "Suivant".

    La boîte de dialogue permettant de sélectionner la langue de produit s'ouvre.

  6. Sélectionnez la langue pour la vue du produit et cliquez sur le bouton "Suivant".

    Remarque

    La langue de produit "Anglais" est toujours installée par défaut.

    La boîte de dialogue de sélection de la configuration du produit s'ouvre.

  7. Sélectionnez les produits que vous souhaitez installer :

    • si vous voulez installer le programme avec un nombre minimum de composants, cliquez sur le bouton "minimale".

    • si vous voulez installer le programme avec un nombre de composants typique pour un produit, cliquez sur le bouton "typique".

    • si vous voulez sélectionner vous-même les produits à installer, cliquez sur le bouton "personnalisée". Cochez ensuite les cases des produits que vous souhaitez installer.

  8. Si vous voulez créer un raccourci sur le bureau, cochez la case "Créer un raccourci sur le bureau".

  9. Cliquez sur le bouton de commande "Parcourir" si vous désirez modifier le répertoire cible pour l'installation.

    Remarque

    Tenez compte des remarques suivantes :

    • Tenez compte du fait que la longueur du chemin d'installation ne doit pas dépasser 89 caractères.

    • Vous pouvez modifier le chemin d'installation uniquement si aucun produit du progiciel que vous souhaitez installer n'a été installé.

    • Pour augmenter la sécurité, choisissez comme répertoire cible un répertoire protégé par des droits d'administrateur.

  10. Cliquez sur le bouton "Suivant".

    La boîte de dialogue relative aux conditions d'octroi de licence s'ouvre.

  11. Afin de poursuivre l'installation, vous devrez lire et accepter toutes les conventions de licence puis cliquer sur "Continuer".

    Si l'installation de TIA Portal nécessite une modification des paramètres de sécurité et droits d'accès, la boîte de dialogue des paramètres de sécurité s'ouvre.

  12. Afin de poursuivre l'installation, confirmez les modifications des paramètres de sécurité et des droits puis cliquez sur le bouton "Suivant".

    La boîte de dialogue suivante affiche une vue d'ensemble des paramètres d'installation.

  13. Vérifiez les paramètres d'installation sélectionnés. Si vous souhaitez effectuer des modifications, cliquez sur le bouton "Précédent" jusqu'à parvenir à l'endroit à modifier dans la boîte de dialogue. Après avoir effectué les modifications voulues, retournez à la vue d'ensemble en cliquant sur "Suivant".

  14. Cliquez sur le bouton "Installer".

    L'installation démarre.

    Remarque

    Si aucune clé de licence n'est trouvée au cours de l'installation, vous avez la possibilité de la transférer sur votre PC. Si vous omettez de transférer la licence, vous pouvez effectuer cette opération ultérieurement à l'aide de l'Automation License Manager.

    Une fois l'installation terminée, vous recevez un message vous indiquant si l'installation a réussi.

  15. Vous devez probablement redémarrer l'ordinateur. Dans ce cas, activez la case à cocher "Oui, redémarrer l'ordinateur maintenant". Cliquez ensuite sur le bouton "Redémarrer".

  16. Si l'ordinateur ne doit pas être redémarré, cliquez sur le bouton "Terminer".

Résultat

TIA Portal a été installé sur votre ordinateur avec les produits et licences achetés, de même que Automation License Manager.


Affichage des logiciels installés

Marche à suivre
Remarques sur le système requis Remarques sur les licences Démarrer l'installation Modifier ou actualiser des produits installés Réparer le produit installé Démarrer la désinstallation Rapport d'installation
Affichage des logiciels installés

Vous pouvez vous informer à tout moment des logiciels installés. Vous pouvez en outre faire s'afficher des informations supplémentaires sur le logiciel installé.

Marche à suivre

Pour afficher la liste des logiciels installés, procédez comme suit :

  1. Dans le menu "Aide", cliquez sur "Logiciels installés".

    La boîte de dialogue "Logiciels installés" s'ouvre. Les logiciels installés s'affichent dans la boîte de dialogue. Ouvrez les entrées afin de voir la version installée.

  2. Pour plus d'informations sur les logiciels d'automatisation installés, cliquez sur le lien dans la boîte de dialogue "Informations supplémentaires sur le logiciel installé".

    La boîte de dialogue "Informations détaillées" s'ouvre.

  3. Dans la navigation d'écran, sélectionnez le sujet pour lequel vous désirez lire des informations supplémentaires.


Modifier ou actualiser des produits installés

Condition requise Marche à suivre Résultat
Remarques sur le système requis Remarques sur les licences Démarrer l'installation Affichage des logiciels installés Réparer le produit installé Démarrer la désinstallation Rapport d'installation
Modifier ou actualiser des produits installés

Vous avez la possibilité de modifier des produits installés par l'intermédiaire du programme d'installation ou de mettre la version à jour (update).

Les blocs avec protection Know-How provenant de versions antérieures de TIA Portal ne sont pas mis à niveau automatiquement en même temps que le projet. Retirer la protection Know-How des blocs avant de mettre à jour TIA Portal. Rétablir ensuite la protection Know-How avec la version actuelle de TIA Portal. Pour plus d'informations, se reporter au système d'information.

Condition requise

  • Le matériel et le logiciel de votre PG/PC sont conformes aux exigences du système.

  • Vous disposez des droits d'administrateur sur votre ordinateur.

  • Vous avez quitté tous les programmes en cours.

Marche à suivre

Afin de modifier ou de mettre à jour des produits installés, veuillez procéder comme suit :

  1. Insérez le support de données d'installation dans le lecteur correspondant.

    Si vous n'avez pas désactivé la fonction Autostart sur votre PG/PC, le programme d'installation démarre automatiquement.

  2. Si le programme d'installation ne démarre pas automatiquement, démarrez-le manuellement en effectuant un double clic sur le fichier "Start.exe".

    La boîte de dialogue de sélection de la langue d'installation s'ouvre.

  3. Sélectionnez la langue dans laquelle vous désirez lire les dialogues du programme d'installation

  4. Pour lire les remarques sur le produit et sur l'installation, cliquez sur le bouton "Lire les remarques" ou "Remarques sur l'installation".

    Le fichier d'aide correspondant contenant les remarques s'ouvre.

  5. Après avoir lu les remarques, fermez le fichier d'aide et cliquez sur le bouton "Suivant".

    La boîte de dialogue de sélection de la variante installée s'ouvre.

  6. Activez la case d'option "Modifier/Mettre à jour" et cliquez sur le bouton "Suivant".

    La boîte de dialogue permettant de sélectionner la langue de produit s'ouvre.

  7. Activez les cases d'option des langues de produit que vous désirez installer. Vous pouvez désinstaller des langues de produit déjà installées en désactivant les cases d'option correspondantes.

    Remarque

    Tenez compte du fait que vous ne pouvez pas désinstaller la langue de produit "Anglais".

  8. Cliquez sur le bouton "Suivant".

    La boîte de dialogue de sélection de la configuration du produit s'ouvre.

  9. Activez les cases d'option des composants que vous désirez installer. Vous pouvez désinstaller les composants déjà installés en désactivant les cases d'option correspondantes.

  10. Cliquez sur le bouton "Suivant".

    Remarque

    Veillez à ce que vous ne puissiez pas modifier le répertoire cible parce que cela modifierait l'installation existante.

    Si l'installation de TIA Portal nécessite une modification des paramètres de sécurité et droits d'accès, la boîte de dialogue des paramètres de sécurité s'ouvre.

  11. Afin de poursuivre l'installation, confirmez les modifications des paramètres de sécurité et des droits puis cliquez sur le bouton "Suivant".

    La boîte de dialogue suivante affiche une vue d'ensemble des paramètres d'installation.

  12. Cliquez sur le bouton de commande "Modifier".

    L'installation des composants supplémentaires démarre.

    Remarque

    Une fois l'installation terminée, vous recevez un message vous indiquant si l'installation existante a été modifiée.

  13. Vous devez probablement redémarrer l'ordinateur. Dans ce cas, activez la case à cocher "Oui, redémarrer l'ordinateur maintenant". Cliquez ensuite sur le bouton "Redémarrer".

  14. Si l'ordinateur ne doit pas être redémarré, cliquez sur le bouton "Terminer".

Résultat

L'installation existante sur votre ordinateur vient d'être modifiée.


Réparer le produit installé

Condition requise Marche à suivre Résultat
Remarques sur le système requis Remarques sur les licences Démarrer l'installation Affichage des logiciels installés Modifier ou actualiser des produits installés Démarrer la désinstallation Rapport d'installation
Réparer le produit installé

Vous avez la possibilité de réparer les produits installés à l'aide du programme d'installation par une réinstallation complète.

Condition requise

  • Le matériel et le logiciel de votre PG/PC sont conformes aux exigences du système.

  • Vous disposez des droits d'administrateur sur votre ordinateur.

  • Vous avez quitté tous les programmes en cours.

Marche à suivre

Pour réparer des produits installés, procédez comme suit :

  1. Insérez le support de données d'installation dans le lecteur correspondant.

    Si vous n'avez pas désactivé la fonction Autostart sur votre PG/PC, le programme d'installation démarre automatiquement.

  2. Si le programme d'installation ne démarre pas automatiquement, démarrez-le manuellement en effectuant un double clic sur le fichier "Start.exe".

    La boîte de dialogue de sélection de la langue d'installation s'ouvre.

  3. Sélectionnez la langue dans laquelle vous désirez lire les dialogues du programme d'installation

  4. Pour lire les remarques sur le produit et sur l'installation, cliquez sur le bouton "Lire les remarques" ou "Remarques sur l'installation".

    Le fichier d'aide correspondant contenant les remarques s'ouvre.

  5. Après avoir lu les remarques, fermez le fichier d'aide et cliquez sur le bouton "Suivant".

    La boîte de dialogue de sélection de la variante installée s'ouvre.

  6. Activez la case d'option "Réparer" et cliquez sur le bouton de commande "Continuer".

    La boîte de dialogue suivante affiche une vue d'ensemble des paramètres d'installation.

  7. Cliquez sur le bouton de commande "Réparer".

    La réparation de l'installation existante démarre.

    Remarque

    Une fois l'installation terminée, vous recevez un message vous indiquant si les produits installés ont été réparés.

  8. Vous devez probablement redémarrer l'ordinateur. Dans ce cas, activez la case à cocher "Oui, redémarrer l'ordinateur maintenant". Cliquez ensuite sur le bouton "Redémarrer".

  9. Si l'ordinateur ne doit pas être redémarré, cliquez sur le bouton "Terminer".

Résultat

Les produits installés se trouvent de nouveau installés.


Démarrer la désinstallation

Introduction Désinstallation des composants sélectionnés via le Panneau de configuration Désinstallation d'un produit à l'aide du support de données d'installation
Rapport d'installation Remarques sur le système requis Remarques sur les licences Démarrer l'installation Affichage des logiciels installés Modifier ou actualiser des produits installés Réparer le produit installé
Démarrer la désinstallation

Introduction

La désinstallation des progiciels s'effectue automatiquement au moyen d'un programme d'installation. Une fois exécuté, le programme d'installation vous guide pas à pas tout au long de la procédure de désinstallation.

Vous avez deux possibilités pour la désinstallation :

  • Désinstallation des composants sélectionnés via le Panneau de configuration

  • Désinstallation d'un produit à l'aide du support de données d'installation

Remarque

Automation License Manager n'est pas supprimé automatiquement avec la désinstallation des progiciels, car il est mis en œuvre pour la gestion des clés de licence de plusieurs produits de Siemens AG.

Désinstallation des composants sélectionnés via le Panneau de configuration

Pour désinstaller les progiciels sélectionnés, procédez de la manière suivante :

  1. Ouvrez le panneau de configuration.

  2. Dans "Programmes", cliquez sur "Désinstaller un programme".

    Une boîte de dialogue avec la liste des programmes installés s'ouvre.

  3. Sélectionnez les progiciels à désinstaller et cliquez sur le bouton "Désinstaller".

    La boîte de dialogue de sélection de la langue d'installation s'ouvre.

  4. Sélectionnez la langue dans laquelle vous souhaitez que le programme d'installation (Setup) s'affiche et cliquez sur le bouton "Suivant".

    La boîte de dialogue affichant les produits logiciels à désinstaller s'ouvre.

  5. Activez les cases d'option des produits à désinstaller, puis cliquez sur le bouton "Suivant".

    La boîte de dialogue suivante affiche une vue d'ensemble des paramètres d'installation.

  6. Vérifiez la liste des produits à désinstaller. Si vous souhaitez effectuer des modifications, cliquez sur le bouton "Précédent".

  7. Cliquez sur le bouton "Désinstaller".

    La désinstallation démarre.

  8. Vous devez probablement redémarrer l'ordinateur. Dans ce cas, activez la case à cocher "Oui, redémarrer l'ordinateur maintenant". Cliquez ensuite sur le bouton "Redémarrer".

  9. Si l'ordinateur ne doit pas être redémarré, cliquez sur le bouton "Terminer".

Désinstallation d'un produit à l'aide du support de données d'installation

Pour désinstaller tous les progiciels sélectionnés, procédez de la manière suivante :

  1. Insérez le support de données d'installation dans le lecteur correspondant.

    Si vous n'avez pas désactivé la fonction Autostart sur votre PG/PC, le programme d'installation démarre automatiquement.

  2. Si le programme d'installation ne démarre pas automatiquement, démarrez-le manuellement en effectuant un double clic sur le fichier "Start.exe".

    La boîte de dialogue de sélection de la langue d'installation s'ouvre.

  3. Sélectionnez la langue dans laquelle vous désirez lire les dialogues du programme d'installation.

  4. Pour lire les informations sur le produit et sur l'installation, cliquez sur le bouton "Lire les informations produit" ou "Lire les remarques sur l'installation".

    Le fichier d'aide correspondant contenant les remarques s'ouvre.

  5. Après avoir lu les remarques, fermez le fichier d'aide et cliquez sur le bouton "Suivant".

    La boîte de dialogue de sélection de la variante installée s'ouvre.

  6. Activez la case d'option "Désinstaller" et cliquez sur le bouton "Continuer".

    La boîte de dialogue suivante affiche une vue d'ensemble des paramètres d'installation.

  7. Cliquez sur le bouton "Désinstaller".

    La désinstallation démarre.

  8. Vous devez probablement redémarrer l'ordinateur. Dans ce cas, activez la case à cocher "Oui, redémarrer l'ordinateur maintenant". Cliquez ensuite sur le bouton "Redémarrer".

  9. Si l'ordinateur ne doit pas être redémarré, cliquez sur le bouton "Terminer".


Installation des mises à jour et des Support Packages

Installation des mises à jour et des Support Packages

Ce chapitre contient des informations sur les sujets suivants :
  • Vérifier la disponibilité et installer les mises à jour et Support Packages
  • Travail avec un serveur d'entreprise


Vérifier la disponibilité et installer les mises à jour et Support Packages

Désactiver, puis réactiver la recherche automatique des mises à jour logicielles Recherche manuelle de mises à jour Paramétrage du serveur Télécharger et installer les mises à jour logicielles séparément Télécharger et installer plusieurs Support Packages en une seule étape Autre méthode possible pour installer des Support Packages
Rapport d'installation
Vérifier la disponibilité et installer les mises à jour et Support Packages

Par défaut, TIA Portal vérifie automatiquement si de nouvelles mises à jour ou des Support Packages sont disponibles, par ex. les Hardware Support Packages (HSP). La recherche des mises à jour est lancée après chaque démarrage de l'ordinateur, puis de manière cyclique, toutes les 24 heures. Vous pouvez activer ou désactiver la recherche automatique. Vous pouvez en outre rechercher des mises à jour manuellement.

Si des mises à jour ont été trouvées, vous pouvez les télécharger et les installer.

Remarque

Le système prend en charge les mises à jour et les Support Packages à partir de TIA Portal V13.

Désactiver, puis réactiver la recherche automatique des mises à jour logicielles

Pour désactiver, puis réactiver la recherche automatique des mises à jour logicielles, procédez comme suit :

  1. Sélectionnez la commande "Paramètres" dans le menu "Outils".

    La fenêtre "Paramètres" s'affiche dans la zone de travail.

  2. Sélectionnez le groupe "Général > Mises à jour logicielles" dans la navigation locale.

  3. Désactivez la case "Rechercher les mises à jour quotidiennement" pour désactiver la recherche automatique.

  4. Activez la case "Rechercher les mises à jour quotidiennement" pour réactiver la recherche automatique.

Recherche manuelle de mises à jour

Pour rechercher manuellement des mises à jour, procédez de la manière suivante :

  1. Dans le menu "Aide", cliquez sur "Logiciels installés".

    La boîte de dialogue "Logiciels installés" s'ouvre.

  2. Cliquez sur "Rechercher des mises à jour".

    La boîte de dialogue "TIA Updater" s'ouvre et les mises à jour disponibles s'affichent.

Ou :

  1. Sélectionnez la commande "Paramètres" dans le menu "Outils".

    La fenêtre "Paramètres" s'affiche dans la zone de travail.

  2. Sélectionnez le groupe "Général > Mises à jour logicielles" dans la navigation locale.

  3. Cliquez sur "Rechercher les mises à jour maintenant".

    La boîte de dialogue "TIA Updater" s'ouvre et les mises à jour disponibles s'affichent.

Ou :

  1. Ouvrez TIA Updater via "Démarrer > Tous les programmes > Siemens Automation > Totally Integrated Automation UPDATER".

  2. Cliquez sur "Rechercher des mises à jour".

    Les mises à jour disponibles s'affichent.

Paramétrage du serveur

Selon que vous voulez télécharger les mises à jour ou les Support Packages du TIA Automation Update Server ou d'un serveur d'entreprise, vous devez paramétrer le serveur correspondant. Procédez de la manière suivante :

  1. Ouvrez TIA Updater.

  2. Cliquez sur "Paramètres" et dans la zone "Serveur utilisé pour rechercher des mises à jour" de la boîte de dialogue qui s'ouvre, sélectionnez l'option "TIA Automation Software Update Server".
    Le logiciel recherche les mises à jour disponibles sur le serveur du fabricant.

Ou :

  1. Ouvrez TIA Updater.

  2. Cliquez sur "Paramètres" et dans la zone "Serveur utilisé pour rechercher des mises à jour" de la boîte de dialogue qui s'ouvre, sélectionnez l'option "Serveur d'entreprise".

  3. Saisissez l'URL du serveur que vous avez reçue de votre administrateur. L'URL doit être saisie au format https://[URL du serveur]/[Chemin du répertoire de dépôt] ou au format https://[Adresse IP du serveur]/[Chemin du répertoire de dépôt]. Si vous n'êtes pas certain du format utilisé, contactez votre administrateur !
    Le logiciel recherche les mises à jour disponibles sur le serveur de votre entreprise.

  4. Vérifiez le nom de la ligne de fabrication et modifiez-le si besoin est. Ce nom est par défaut "ProductionLine1".
    Les lignes de fabrication permettent de mettre à la disposition de différents utilisateurs de manière ciblée des mises à jour ou Support Packages. Si votre entreprise ne travaille pas avec différentes lignes de fabrication, vous pouvez conserver le nom par défaut.
    Vous trouverez des informations détaillées sur la création des projets et le travail avec des lignes de fabrication dans l'aide de TIA Updater Corporate Configuration Tool.

Vous pouvez changer, à tout moment, les options déterminant le serveur sur lequel les mises à jour doivent être recherchées. Toutefois, aucun changement n'est possible pendant le téléchargement. Après le changement du serveur, toutes les mises à jour et les Support Packages déjà téléchargés sont affichés, même s'ils ne sont pas disponibles sur le serveur actuel configuré.

Télécharger et installer les mises à jour logicielles séparément

Pour télécharger et installer les mises à jour logicielles et les Support Packages disponibles, procédez comme suit :

  1. Si TIA Updater ne s'affiche pas, ouvrez-le d'une des manières suivantes :

    • Si la recherche automatique a détecté des mises à jour, un message s'affiche dans la zone d'information de la barre d'outils de Windows, ainsi que l'icône du TIA Updater. Cliquez sur le message ou sur l'icône pour ouvrir TIA Updater.

    • Dans le menu "Aide", cliquez sur "Logiciels installés", puis sur "Rechercher des mises à jour".

    • Dans le menu de démarrage de Windows, cliquez sur "Démarrer > Tous les programmes > Siemens Automation > Automation Software Updater".

  2. Sur la ligne correspondant à la mise à jour ou au Support Package que vous désirez installer, cliquez sur "Télécharger".

    La mise à jour ou le Support Package est téléchargé. Dès que le téléchargement est terminé, le bouton "Installer" devient actif.

    Remarque

    Tenez compte des remarques suivantes :

    1. Vous pouvez lancer plusieurs téléchargements simultanément.

    2. Lorsqu'un téléchargement est en cours, vous pouvez fermer la session ou éteindre l'ordinateur. Le téléchargement est repris dès que vous ouvrez à nouveau la session.

    3. Dans certains cas, au lieu du bouton "Télécharger", un lien vers une page Web externe s'affiche. Téléchargez alors la mise à jour logicielle sur cette page et installez-la manuellement.

  3. Fermez TIA Portal s'il est encore ouvert.

  4. Dans la boîte de dialogue TIA Updater, cliquez sur le bouton "Installer" du progiciel à installer.

    La boîte de dialogue d'installation s'affiche.

    Remarque

    Tenez compte des remarques suivantes :

    1. Il n'est pas possible d'installer plusieurs mises à jour simultanément.

    2. Ne fermez pas la session et n'éteignez pas l'ordinateur pendant l'installation. Vous évitez ainsi les risques d'incohérence d'état sur l'ordinateur.

  5. Cliquez sur "Suivant".

    Le produit sélectionné est installé.

Télécharger et installer plusieurs Support Packages en une seule étape

Pour télécharger et installer les Support Packages disponibles en une seule étape, procédez comme suit :

  1. Activez les lignes souhaitées. Il y a plusieurs façons de faire :

    • Pour télécharger et installer tous les Support Packages affichés, cochez la case dans le titre de la liste.

    • Pour télécharger et installer plusieurs Support Packages, marquez le premier, maintenez la touche <Ctrl> enfoncée et marquez tous les autres Support Packages souhaités. Cochez ensuite la case de l'une des lignes marquées.

    • Pour télécharger et installer plusieurs Support Packages dans un ordre déterminé, marquez le premier, maintenez la touche <Maj> enfoncée et marquez le dernier Support Package souhaité.

  2. Cliquez sur le bouton "Télécharger et installer".

  3. Une fois le téléchargement terminé, cliquez sur "Suivant" dans la boîte de dialogue qui s'affiche pour démarrer l'installation. Une autre boîte de dialogue vous montre le progrès de l'installation.

Remarque

Vous ne pouvez télécharger et installer que les Support Packages sans restriction d'exportation.

Autre méthode possible pour installer des Support Packages

Il existe une autre méthode pour installer un Support Package. Procédez de la manière suivante :

  1. Dans le menu "Outils" de TIA Portal, cliquez sur "Support Packages".

    La boîte de dialogue "Informations détaillées" s'ouvre. Un tableau énumère tous les Support Packages contenus dans le répertoire que vous avez paramétré comme lieu de stockage pour Support Packages.

  2. Si vous souhaitez installer un Support Package qui ne figure pas dans la liste, vous avez les possibilités suivantes :

    • Si le Support Package se trouve déjà sur votre ordinateur, vous pouvez le récupérer dans la liste en cliquant sur "Ajouter en provenance du système de fichiers".

    • Si vous désirez ajouter un Support Package depuis la page "Service & Support" sur Internet, téléchargez-le tout d'abord à l'aide de l'option "Télécharger depuis Internet". Ensuite, vous pourrez l'ajouter depuis le système de fichiers.

  3. Sélectionnez le Support Package que vous désirez installer.

  4. Cliquez sur "Installer".

  5. Fermez TIA Portal et redémarrez-le.


Travail avec un serveur d'entreprise

Travail avec un serveur d'entreprise

Ce chapitre contient des informations sur les sujets suivants :
  • Propriétés et avantages d'un serveur d'entreprise
  • Configurer le serveur d'entreprise pour les mises à jour
  • Mettre à disposition des mises à jour sur un serveur d'entreprise


Propriétés et avantages d'un serveur d'entreprise

Introduction Configuration du serveur et création de projets Travail avec le serveur
Propriétés et avantages d'un serveur d'entreprise

Introduction

Un serveur d'entreprise permet d'enregistrer des mises à jour/Support Packages sélectionnés sur un serveur local pour les mettre ensuite à la disposition des utilisateurs. Exemple : pour différentes lignes de production. L'avantage est que les utilisateurs n'ont pas besoin d'utiliser Internet. Ils peuvent installer les mises à jour via Intranet, un disque dur externe, etc. Comme les utilisateurs n'ont pas besoin d'un accès direct à Internet, la protection contre les chevaux de Troie ou les programmes malveillants qui prennent contact avec le réseau d'entreprise interne est nettement augmentée.

Configuration du serveur et création de projets

Dans un premier temps, le serveur d'entreprise est configuré par un administrateur de serveur, et les mises à jour/Support Packages sont mis à disposition des utilisateurs à l'aide du TIA Updater Corporate Configuration Tool. En outre, la création de projets pour diverses lignes de fabrication est possible. Dans ces projets, les mises à jour requises sont à la disposition de l'utilisateur. Les utilisateurs doivent avoir accès au serveur, connaître le nom de la ligne de production et savoir comment accéder au répertoire d'archivage.

Vous trouverez des informations détaillées sur la création des projets et le travail avec des lignes de fabrication dans l'aide relative à TIA Updater Corporate Configuration Tool.

Travail avec le serveur

Le TIA Updater permet aux utilisateurs de télécharger et d'installer les mises à jour/Support Packages pertinents. Plusieurs processus de téléchargement peuvent être lancés simultanément, mais les mises à jour/Support Packages doivent être installés successivement.


Configurer le serveur d'entreprise pour les mises à jour

Introduction Condition Installer le rôle du serveur Web (IIS) Créer le site Web Activer un répertoire virtuel Ajouter et configurer un type MIME Activer l'extension de serveur IIS BITS Créer un certificat de serveur auto-signé Crée une liaison SSL Vérifier la liaison SSL Configurer les paramètres SSL Répartir les mises à jour sur différentes zones
Configurer le serveur d'entreprise pour les mises à jour

Introduction

Pour mettre les mises à jour et Support Packages de manière centralisée à la disposition des utilisateurs, vous devez configurer un serveur d'entreprise. Pour ce faire, utilisez le gestionnaire de serveur Microsoft.

Les étapes nécessaires pour créer et configurer le serveur pour l'utilisation du TIA Updater Corporate Configuration Tool sont décrites ci-après à titre d'exemple (avec le système d'exploitation Microsoft Server 2016). Les autres paramètres éventuellement nécessaires à l'utilisation dans votre entreprise ne font pas partie de cette description !

Remarque

Notez que la structure du menu de démarrage et le chemin d'accès aux programmes peuvent varier en fonction des systèmes d'exploitation utilisés.

L'aide de Microsoft explique en détail comment configurer et utiliser le gestionnaire de serveur.

Condition

Vous devez posséder des droits d'administrateur.

Installer le rôle du serveur Web (IIS)

Pour installer le rôle du serveur Web nécessaire, procédez de la manière suivante :

  1. Ouvrez le menu Démarrer et sélectionnez "Gestionnaire de serveur".

  2. Cliquez dans le tableau de bord sur "Ajouter des rôles et des fonctionnalités".

  3. Utilisez l'assistant "Ajouter des rôles et des fonctionnalités" pour ajouter le rôle du serveur Web.
    Avant le démarrage de l'assistant, le système vérifie que l'administrateur a attribué un mot de passe complexe, que les paramètres du réseau sont configurés correctement et que les mises à jour de sécurité Windows les plus récentes sont installées.

  4. Sélectionnez "Installation basée sur un rôle ou une fonctionnalité" comme type d'installation puis cliquez sur "Suivant".

  5. Sélectionnez ensuite le serveur cible et cliquez sur "Suivant".

  6. Tenez compte des rôles présélectionnés, qui sont installés par défaut, et sélectionnez ensuite également le rôle "Serveur Web (IIS)".

  7. Cliquez sur "Ajouter des fonctionnalités" puis sur "Suivant". Les fonctionnalités pour le serveur Web s'affichent.

  8. Cliquez sur "Services de rôle" et vérifiez que les fonctionnalités suivantes sont sélectionnées, ou sélectionnez-les :

    Zone "Serveur web"

    • Document par défaut

    • Recherches dans le répertoire

    • Erreurs HTTP

    • Contenu statique

    Zone "État du système et diagnostic"

    • Journalisation HTTP

    • Surveillance des requêtes

    Zone "Performance"

    • Compression du contenu statique

    Zone "Sécurité"

    • Filtrage de requête

    Zone "Développement des applications"

    • Extensibilité .NET 3.5

    • Extensibilité .NET 4.6

    • ASP.NET 3.5

    • ASP.NET 4.6

    • Extensions ISAPI

    • Filtres ISAPI

  9. Cliquez sur "Suivant".

  10. Vérifiez votre choix dans la boîte de dialogue "Confirmer les sélections d'installation" puis cliquez sur "Installer".

Le rôle "IIS" est ajouté dans le tableau de bord et peut être configuré en détails.

Créer le site Web

  1. Cliquez sur "IIS" dans la zone de navigation puis cliquez avec le bouton droit de la souris dans la zone "Serveurs" et choisissez "Gestionnaire Internet Information Services (IIS)".

  2. Cliquez sur "Sites" dans la zone "Liaisons" puis cliquez sur "Site web par défaut".

  3. Sélectionnez par un clic droit de la souris l'option "Ajouter répertoire virtuel...".

  4. Dans la boîte de dialogue qui s'ouvre, saisissez un nom d'affichage dans le champ "Alias", par exemple "TIAPortalUpdates".

  5. Saisissez dans le champ "Chemin physique" le chemin d'accès au dossier dans lequel se trouve le site Web ou cliquez sur le bouton (...) destiné à la recherche pour rechercher le dossier dans le système de fichiers.

  6. Cliquez sur "Contrôle des réglages..." pour contrôler si les réglages sont corrects.

  7. Cliquez sur "OK".

Activer un répertoire virtuel

  1. Dans la zone "Liaisons > Sites > Site web par défaut", sélectionnez le répertoire virtuel que vous avez créé. Dans l'affichage des "Fonctionnalités", double-cliquez sur l'entrée "Parcourir les répertoires".

  2. Dans le volet "Actions", cliquez sur "Activer".

Ajouter et configurer un type MIME

  1. Dans le volet "Liaisons", sélectionnez le site Web que vous avez créé.

  2. Dans la vue "Fonctionnalités", double-cliquez sur "Type MIME".

  3. Dans le volet "Actions", cliquez sur "Ajouter".

  4. Dans la boîte de dialogue "Ajouter un type MIME", tapez .* dans le champ de texte "Extension de nom de fichier".

  5. Dans le champ de texte "Type MIME", saisissez "all/files".

  6. Cliquez sur "OK".

Activer l'extension de serveur IIS BITS

  1. Basculez vers le répertoire virtuel dans le gestionnaire IIS.

  2. Double-cliquez sur "Téléchargements BITS" dans l'affichage des fonctionnalités du répertoire virtuel.

  3. Cochez la case "Autoriser les clients à télécharger des fichiers" et cliquez ensuite sur "Appliquer".

Créer un certificat de serveur auto-signé

  1. Naviguez dans le volet "Liaisons" jusqu'au niveau que vous voulez gérer.

  2. Double-cliquez sur "Certificats de serveur" dans l'affichage des "Fonctionnalités".

  3. Dans le volet "Actions", cliquez sur "Créer un certificat de serveur auto-signé".

  4. Dans la boîte de dialogue "Créer un certificat auto-signé", saisissez un nom pour le certificat dans le champ "Nom d'affichage pour le certificat", puis cliquez sur "OK".

Crée une liaison SSL

  1. Développez le nœud "Sites" dans l'arborescence des "Liaisons", puis cliquez sur le site auquel vous voulez ajouter une liaison.

  2. Dans le volet "Actions", cliquez sur "Liaisons".

  3. Dans la boîte de dialogue "Liaisons de sites", cliquez sur "Ajouter".

  4. Dans la boîte de dialogue "Ajouter la liaison de site", ajoutez sous "Type" "https" et sous "Certificat SSL" le certificat que vous avez créé, puis cliquez sur "OK".

Vérifier la liaison SSL

  1. Sous "Parcourir le site Web", cliquez dans le volet "Actions" sur la liaison préalablement créée.
    Une page d'erreur s'ouvre dans Internet Explorer, parce que le certificat auto-signé a été créé par votre ordinateur.

  2. Cliquez sur "Poursuivre sur ce site Web (non recommandé)".
    Si vous ajoutez le certificat dans la mémoire de certificats "Autorités de certification racines de confiance", ce message ne s'affichera plus.

Configurer les paramètres SSL

  1. Double-cliquez sur "Paramètres SSL" dans l'affichage des "Fonctionnalités".

  2. Dans le volet "Certificats clients" de la boîte de dialogue "Paramètres SSL", appliquez l'une des procédures suivantes :

    • Sélectionnez "Ignorer" si vous ne voulez accepter aucun certificat client même si un client en présente un.

    • Sélectionnez "Accepter" pour accepter des certificats clients.

    • Sélectionnez "Demander" afin d'exiger des certificats clients. Pour utiliser l'option "Exiger les certificats clients", vous devez activer l'option "Exiger SSL".

  3. Dans le volet "Actions", cliquez sur "Appliquer".

Répartir les mises à jour sur différentes zones

Il peut arriver que différents départements aient besoin de mises à jour ou de Support Packages différents. Dans ce cas, nous recommandons d'exploiter plusieurs serveurs qui proposent des mises à jour et des Support Packages différents. Pour cela, procédez comme suit :

  1. Créez différents serveurs d'entreprise comme il est dit plus haut.

ou

  1. Installez le rôle du serveur Web.

  2. Créez plusieurs sites Web.
    Prenez soin de donner des noms sans ambiguïté à ces sites Web et aux chemins physiques afin d'éviter toute confusion !

  3. Paramétrez les fonctionnalités décrites plus haut pour le serveur Web ou les sites Web.

Vous pouvez maintenant sauvegarder les mises à jour et les Support Packages nécessaires aux différents départements dans les répertoires définis.


Mettre à disposition des mises à jour sur un serveur d'entreprise

Introduction Condition requise Ajouter des mises à jour du TIA Automation Software Update Server Annuler le téléchargement Supprimer des mises à jour sur le serveur d'entreprise Options serveur
Propriétés et avantages d'un serveur d'entreprise Configurer le serveur d'entreprise pour les mises à jour
Mettre à disposition des mises à jour sur un serveur d'entreprise

Introduction

À l'aide du TIA Updater Corporate Configuration Tool, vous pouvez paramétrer un serveur d'entreprise sur lequel vous stockez les mises à jour/Support Packages afin de les mettre à la disposition des utilisateurs.

Condition requise

Vous devez posséder des droits d'administrateur.

Un serveur d'entreprise ne peut être élaboré que sur un système d'exploitation Microsoft Server, car un service BITS IIS et un IIS-Sever en fonctionnement sont nécessaires.

Ajouter des mises à jour du TIA Automation Software Update Server

Pour ajouter des mises à jour provenant du TIA Automation Software Update Server, procédez comme suit :

  1. Ouvrez le TIA Updater Corporate Configuration Tool.
    Les mises à jour disponibles s'affichent.

  2. Cliquez sur le bouton "Ajouter une mise à jour" et cochez la case "Ajouter du TIA Automation Software Update Server" dans la boîte de dialogue qui s'ouvre.

  3. Sélectionnez les mises à jour souhaitées (logiciels et Support Packages) dans la boîte de dialogue "Ajouter la mise à jour du TIA Automation Software Update Server" et cliquez sur "Ajouter".
    Lorsque des mises à jour se trouvent déjà sur le serveur d'entreprise, celles-ci sont affichées en grisé. Elles ne peuvent pas être chargées à nouveau. Pendant le téléchargement, l'état et la durée restante sont affichés dans une boîte de dialogue.

Annuler le téléchargement

Pour annuler le téléchargement, procédez comme suit :

  1. Cliquez sur le bouton "Annuler le téléchargement".

  2. Validez la boîte de dialogue qui s'ouvre en cliquant sur "Oui".
    Le téléchargement de la mise à jour est interrompu et la mise à jour est supprimée de la liste.

Supprimer des mises à jour sur le serveur d'entreprise

Pour supprimer des mises à jour, procédez comme suit :

  1. Sélectionnez les mises à jour voulues et cliquez sur le bouton "Supprimer".

  2. Validez la boîte de dialogue qui s'ouvre en cliquant sur "Oui".
    Les mises à jour sélectionnées sont supprimées de la liste.

Options serveur

Cliquez dans la boîte de dialogue "TIA Automation Software Update Server" sur "Paramètres" pour définir les paramètres suivants :

  1. Indiquez sous "Chemin du serveur" le dossier dans lequel les téléchargements doivent être enregistrés. Vous pouvez choisir aussi bien un lecteur local qu'un lecteur réseau.

    Remarque

    Si vous travaillez directement sur le serveur, le répertoire cible et le répertoire de déploiement sur le serveur sont identiques. Toutes les modifications sont appliquées directement. Cette procédure n'est pas recommandée en raison de conflits qui pourraient survenir avec des téléchargements actifs.

    Nous vous recommandons de travailler sur un autre ordinateur ; le répertoire cible étant un dossier de votre choix. Le contenu de ce dossier doit ensuite être copié dans le répertoire de déploiement. Veillez également à ce qu'aucun conflit ne survienne avec des téléchargements actifs.

  2. Cochez la case "Laisser toujours fonctionner le serveur en arrière-plan (icône apparaît dans la barre d'outils)", lorsque le serveur doit toujours s'exécuter en arrière-plan.

  3. Confirmez votre saisie avec "OK".


Installation automatique de Support Packages

Installation automatique de Support Packages

Ce chapitre contient des informations sur les sujets suivants :
  • Installation automatique de Support Packages
  • Valeurs retournées par le processus d'installation
  • Fichier-journal


Installation automatique de Support Packages

Introduction Condition Marche à suivre
Valeurs retournées par le processus d'installation Fichier-journal
Installation automatique de Support Packages

Introduction

Avec le Support Package Installer, vous pouvez installer ou mettre à niveau à partir de la version V15.1 tous les Support Packages tels que les HSP (Hardware Support Packages) compatibles avec la version installée de TIA Portal (par ex. isp.15_1) automatiquement via la ligne de commande.

Condition

  • Le matériel et le logiciel de votre PG/PC sont conformes aux exigences du système.

  • Vous disposez des droits d'administrateur sur votre ordinateur.

  • Vous avez quitté tous les programmes en cours d'exécution.

Marche à suivre

Pour démarrer l'installation directement via la ligne de commande avec les options souhaitées, procédez comme suit :

  1. Ouvrez l'invite de commande de Windows par "Démarrer > Exécuter > cmd".

  2. Passez au répertoire contenant le fichier "Siemens.Automation.SupportPackageInstaller.exe". Il s'agit du répertoire d'installation de votre version de TIA Portal installée.

  3. Entrez la commande suivante dans l'invite de commande :
    %Répertoire d'installation% > Siemens.Automation.SupportPackageInstaller.exe <Répertoire de stockage des Support Packages(HSP)> [-l <Nom du fichier-journal>] [-warnaserror]

<Répertoire de stockage des Support Packages>
Répertoire obligatoire dans lequel sont stockés les fichiers de Support Package (*.isp). Il peut s'agir d'un répertoire local comme d'un répertoire distant partagé.

-l <Emplacement de stockage du fichier-journal>
Ce paramètre est facultatif et indique le chemin d'accès au fichier-journal. S'il n'est pas défini, le fichier-journal est créé dans le répertoire binaire. Vous devez disposer de droits d'écriture dans le dossier de stockage !

-warnaserror
Ce paramètre est facultatif et indique que chaque message qui aurait généralement été signalé comme avertissement est signalé comme erreur. Si, par ex., un HSP ne correspond pas aux exigences requises, une valeur en retour/d'arrêt correspondante est sortie dans la ligne de commande et le HSP concerné est ignoré.

-?
Ce paramètre est facultatif et affiche l'aide.

Remarque

  • Si le répertoire de stockage ou le nom du fichier-journal contient des espaces, vous devez mettre ces dénominations entre guillemets.

  • Seuls les Support Packages se trouvant directement dans le répertoire de stockage sont pris en compte. Les sous-répertoires sont ignorés. C'est-à-dire que les fichiers *.isp doivent se trouver directement dans le répertoire de stockage.


Valeurs retournées par le processus d'installation

Point essentiel
Installation automatique de Support Packages Fichier-journal
Valeurs retournées par le processus d'installation

Point essentiel

Le tableau suivant récapitule les valeurs retournées et les décrit :

Code | Description
0 | L'installation a été exécutée avec succès.
1 | L'installation a été exécutée avec succès, un redémarrage est nécessaire.
-1 | L'installation a échoué.
-2 | L'installation a échoué : le TIA Portal est toujours en cours d'exécution.
-3 | L'installation a échoué : une autre installation est déjà en cours.
-4 | L'installation a échoué : vous ne disposez pas de droits suffisants. L'installation nécessite des droits d'administrateur.
-6 | L'installation a échoué : espace mémoire insuffisant.
-7 | L'installation a échoué : un redémarrage est nécessaire avant que l'installation ne puisse être démarrée.


Fichier-journal

Contenu du fichier-journal
Installation automatique de Support Packages Valeurs retournées par le processus d'installation
Fichier-journal

Contenu du fichier-journal

Le fichier-journal contient des informations détaillées sur chaque installation. Si le fichier-journal existe déjà, il est complété. Des en-têtes et bas de page dans lesquels vous trouverez les informations souhaitées sont créés pour chaque installation.

Une entrée est ajoutée pour les événements suivants :

  • Support Packages présents dans le répertoire de stockage et disponibles à l'installation, mais qui ne peuvent pas être installés en raison de produits manquants. L'entrée dans le fichier-journal indique les produits manquants et les versions concernées.

  • Support Packages qui n'ont pas pu être installés avec succès.

  • Support Packages qui ont pu être installés avec succès.

Pour chaque entrée, le nom de fichier du HSP, y compris l'extension de fichier, est consigné.


Installation et désinstallation de l'outil de migration

Installation et désinstallation de l'outil de migration

Ce chapitre contient des informations sur les sujets suivants :
  • Matériel requis
  • Installation de l'outil de migration
  • Désinstallation de l'outil de migration


Matériel requis

Matériel requis pour l'outil de migration
Matériel requis

Matériel requis pour l'outil de migration

L'utilisation de l'outil de migration est liée aux conditions suivantes :

  • Tous les produits avec lesquels le projet source a été créé sont installés. Les produits suivants sont utilisables :

    • À partir de STEP 7 V5.4 SP5

    • WinCC V7.5 avec les mises à jour les plus récentes

    • À partir de WinCC flexible 2008 SP2

    • Projets intégrés provenant de STEP 7 V5.4 et des produits WinCC cités ci-dessus

    • STEP 7 Distributed Safety V5.4 SP5

    • F-Configuration-Pack V5.4 SP5 à V5.5 SP12

    • SINUMERIK STARTER et Startdrives

    • A partir de SIMOTION SCOUT V4.4

      L'outil SCOUT Migration Tool PlugIn est nécessaire dans la version SCOUT TIA pour la migration de projets SIMOTION SCOUT

  • Tous les progiciels optionnels requis pour le traitement du projet STEP 7 sont installés. Cela englobe par exemple tous les HSP pour tous les appareils utilisés dans le projet source.

  • Microsoft .Net Framework 4.6.2 est installé. Si Microsoft .Net Framework n'est pas installé, alors la version requise sera installée avec l'outil de migration.


Installation de l'outil de migration

Distribution de l'outil de migration Marche à suivre
Installation de l'outil de migration

Distribution de l'outil de migration

L'outil de migration se trouve dans le répertoire "Support" du DVD d'installation de TIA Portal. Vous pouvez également le télécharger sous Siemens Industry Online Support. Pour certains produits, des plug-ins supplémentaires sont nécessaires pour l'outil de migration, p. ex. pour SIMATIC Failsafe ou SIMOTION. Vous pouvez également télécharger les plug-ins sous Siemens Industry Online Support ou les installer à partir du DVD d'installation des produits correspondants.

En règle générale, l'outil de migration s'installe sans TIA Portal. Etant donné que TIA Portal dispose d'une propre fonction de migration, une installation séparée de l'outil de migration n'est pas nécessaire.

Marche à suivre

Pour installer l'outil de migration, procédez de la manière suivante :

  1. Téléchargez le fichier d'installation à partir de Siemens Industry Online Support ou utilisez le fichier d'installation se trouvant dans le répertoire "Support" du DVD d'installation de TIA Portal.

  2. Démarrez le fichier d'installation.

    Le programme d'installation de l'outil d'installation s'ouvre.

  3. Sélectionnez d'abord la langue dans laquelle l'installation se déroulera puis cliquez sur le bouton "Suivant".

    La page de sélection de la langue du logiciel s'ouvre.

  4. L'outil de migration étant exclusivement fourni en anglais, vous ne pouvez pas sélectionner une autre langue. Cliquez par conséquent sur "Suivant" pour passer à l'étape suivante.

    La page de sélection des produits s'ouvre.

  5. L'outil de migration n'est constitué que d'un seul composant logiciel. L'outil de migration est donc déjà sélectionné. Cliquez sur le bouton "Suivant".

    La page d'acceptation de l'accord de licence s'ouvre.

  6. Cliquez sur les entrées de la liste des conditions de licence pour lire les conditions et les consignes de sécurité. Si vous souhaitez accepter toutes les conditions de licence, activez la case à cocher "J'accepte toutes les conditions stipulées dans les contrats de licence cités" et "Je confirme avoir lu et compris les notes de sécurité pour une exploitation sécurisée des produits".

  7. Cliquez ensuite sur le bouton "Suivant".

    Une vue d'ensemble de l'installation s'affiche.

  8. Cliquez sur le bouton "Installer".

    L'installation est exécutée avec les paramètres affichés.

    Un redémarrage de l'ordinateur est nécessaire après l'installation de l'outil de migration.


Désinstallation de l'outil de migration

Marche à suivre
Désinstallation de l'outil de migration

L'outil de migration peut être désinstallé via le panneau de configuration.

Marche à suivre

Pour désinstaller l'outil de migration, procédez de la manière suivante :

  1. Ouvrez le panneau de configuration.

  2. Dans le panneau de configuration, double-cliquez sur l'entrée "Programmes et fonctionnalités".

    La boîte de dialogue "Désinstaller ou modifier un programme" s'ouvre.

  3. Sélectionnez dans la boîte de dialogue "Désinstaller ou modifier un programme" l'entrée pour l'outil de migration et cliquez sur le bouton "Désinstaller".

    Il y a affichage d'une demande de confirmation.

  4. Acquittez la demande de confirmation en cliquant sur le bouton "Oui".

    Le programme d'installation démarre.

  5. Sélectionnez la langue d'installation puis cliquez sur "Suivant".

  6. Sélectionnez l'outil de migration pour sa désinstallation et cliquez sur "Suivant".

  7. Cliquez sur "Désinstaller".

    L'outil de migration se trouve désinstallé.

  8. Pour quitter le programme d'installation, cliquez sur "Quitter".


Installer et désinstaller un serveur de projet TIA

Installer et désinstaller un serveur de projet TIA

Ce chapitre contient des informations sur les sujets suivants :
  • Remarques sur l'installation du serveur de projet
  • Installer le serveur de projet
  • Désinstaller le serveur de projet


Remarques sur l'installation du serveur de projet

Introduction Installation du serveur multi-utilisateur avec TIA Portal Installation du serveur multi-utilisateur comme installation autonome Versions TIA Portal identiques lors de l'installation Chemin d'installation Installation d'un serveur multi-utilisateur plus récent Scanner antivirus Plateformes de virtualisation prises en charge
Installer le serveur de projet Désinstaller le serveur de projet
Remarques sur l'installation du serveur de projet

Introduction

L'installation du serveur multi-utilisateurs vous permet d'utiliser la fonctionnalité de Multiuser Engineering.

Vous pouvez installer le serveur multi-utilisateur comme suit :

  • Avec l'installation de TIA Portal.

  • Comme installation autonome via un processus d'installation propre sans TIA Portal.

Remarque

Des droits d'administrateur sont requis pour l'installation du serveur.

Installation du serveur multi-utilisateur avec TIA Portal

Le serveur multi-utilisateur est installé avec l'installation des produits TIA Portal suivants :

  • SIMATIC STEP 7 Basic

  • SIMATIC STEP 7 Professional

  • SIMATIC WinCC Basic

  • SIMATIC WinCC Comfort/Advanced

  • SIMATIC WinCC Professional

Le serveur multi-utilisateur est activé par défaut dans la sélection de ces produits et il est alors installé avec eux. Vérifiez les paramètres durant l'installation de TIA Portal. Vous trouverez le paramétrage par défaut pour le serveur multiutilisateur durant le setup lors de la sélection des produits dans le répertoire "Options". Choisissez ici, en cochant ou en décochant la case, si le serveur multiutilisateur doit être installé ou non durant l'installation de TIA Portal.

Installation du serveur multi-utilisateur comme installation autonome

Le serveur multi-utilisateur peut également être installé de manière autonome.

Vous trouverez également une description de l'installation automatisée sur le DVD du produit, dans le répertoire "Documents\Lisezmoi\<Répertoire de langues>".

Versions TIA Portal identiques lors de l'installation

Lors de l'installation de produits TIA Portal sur différents clients, veillez à ce que les partenaires utilisent les mêmes versions logicielles pour l'installation.

Si vous avez installé p.ex. STEP 7 Professional, WinCCAdvanced et Safety, ainsi que le serveur multi-utilisateurs avec la version Vx.y, tous les autres partenaires de Team Engineering doivent également installer la même version logicielle.

L'installation de Service Pack et de mises à jour doit s'effectuer au même moment pour tous les produits.

Chemin d'installation

N'utilisez pas de caractères Unicode (p. ex. caractères chinois) dans le chemin d'installation.

Installation d'un serveur multi-utilisateur plus récent

Notez que vous devez d'abord installer le serveur multi-utilisateur et seulement ensuite désinstaller la version antérieure du serveur multi-utilisateur.

Cette procédure vous permet d'appliquer les droits d'utilisateur du serveur au nouveau serveur. Si tous les serveurs multi-utilisateur ont été complètement supprimés avant la nouvelle installation, les paramètres utilisateurs le sont aussi et doivent être à nouveau créés.

Scanner antivirus

Il peut s'avérer nécessaire pendant l'installation d'accéder en lecture et en écriture à des fichiers déjà installés. Certains logiciels antivirus empêchent ceci. Il est donc recommandé de désactiver le logiciel antivirus durant l'installation du serveur multi-utilisateur et de ne le réactiver qu'ensuite.

Plateformes de virtualisation prises en charge

Vous pouvez également installer le serveur multi-utilisateur ainsi que le TIA Portal dans une machine virtuelle.

Utilisez à cet effet une des plateformes de virtualisation suivantes, dans la version indiquée ou plus récente :

  • VMware vSphere Hypervisor (ESXi) 6.5

  • VMware Workstation 12.5.7

  • VMware Player 12.5.7

  • Microsoft Hyper-V Server 2016

Les mêmes conditions requises s'appliquent pour l'installation d'une plateforme de visualisation que pour celle de TIA Portal.


Installer le serveur de projet

Introduction Règles pour l'installation Conditions requises pour l'installation Installer le serveur de projet avec TIA Portal Résultat Installer le serveur de projet de manière autonome Résultat
Remarques sur l'installation du serveur de projet Désinstaller le serveur de projet
Installer le serveur de projet

Introduction

Le serveur de projet peut être installé dans le cadre de l'installation de TIA Portal ou bien de manière autonome. Si le serveur de projet est installé en même temps que TIA Portal, c'est toujours la version du serveur de projet correspondant à TIA Portal qui est installée.

Vous trouverez également une description de l'installation automatisée sur le DVD du produit, dans le répertoire "Documents\Lisezmoi\<Répertoire de langues>".

Remarque

Nouvelle installation avant la désinstallation

Notez que vous devez d'abord installer le serveur de projet plus récent et seulement ensuite désinstaller la version antérieure du serveur de projet.

Cette procédure vous permet d'appliquer les droits d'utilisateur du serveur au nouveau serveur. Si tous les serveurs de projet ont été complètement supprimés avant la nouvelle installation, les paramètres utilisateurs le sont aussi et doivent être à nouveau créés.

Règles pour l'installation

Plusieurs versions du serveur de projet utilisant des versions de projet différentes de TIA Portal peuvent être installées sur un ordinateur.

Versions de projet utilisables :

Versions du serveur de projet | Versions de TIA Portal
Server V16 | V16, V15.1, V15 et V14
Server V15.1 | V15.1, V15 et V14
Serveur V15 | V15 et V14
Serveur V14 | V14

Veuillez noter cependant que chaque version de TIA Portal et du serveur de projet ne dispose que des fonctions comprises dans cette version.

L'ingénierie multi-utilisateur n'effectue pas de mise à niveau des versions de projet.

Conditions requises pour l'installation

Les conditions requises pour l'installation de TIA Portal s'appliquent également à l'installation du serveur de projet.

Installer le serveur de projet avec TIA Portal

Pour l'installation, procédez comme suit :

  1. Tenez compte des conditions requises pour l'installation du progiciel sélectionné.

  2. Lancez le programme d'installation du produit souhaité en insérant le support de données d'installation dans le lecteur correspondant.

  3. Sélectionnez les options voulues et cliquez sur le bouton "Installer".

  4. Assurez-vous que le serveur de projet est coché dans la sélection des produits et suivez les instructions dans les boîtes de dialogue du programme d'installation.

Résultat

Le serveur de projet a été installé sur votre ordinateur en même temps que TIA Portal.

Installer le serveur de projet de manière autonome

Pour l'installation, procédez comme suit :

  1. Tenez compte des conditions requises pour l'installation du serveur de projet.

  2. Lancez le setup pour l'installation autonome du serveur de projet en double-cliquant sur le fichier .exe auto-extractible "TIA_Portal_Project_Server_V<x.y>.exe". Vous trouverez ce fichier dans le répertoire "Support" sur le DVD du produit.

  3. Sélectionnez les options voulues et cliquez sur le bouton "Installer".

  4. Suivez les instructions dans les boîtes de dialogue d'installation.

Résultat

Le serveur de projet a été installé correctement sur votre ordinateur.


Désinstaller le serveur de projet

Introduction Conditions requises pour la désinstallation Désinstaller le serveur de projet Résultat
Remarques sur l'installation du serveur de projet Installer le serveur de projet
Désinstaller le serveur de projet

Introduction

Le serveur de projet peut être désinstallé via le panneau de configuration.

Remarque

Nouvelle installation avant la désinstallation

Notez que vous devez d'abord installer le serveur de projet plus récent et seulement ensuite désinstaller la version antérieure du serveur de projet.

Cette procédure vous permet d'appliquer les droits d'utilisateur du serveur au nouveau serveur. Si tous les serveurs de projet ont été complètement supprimés avant la nouvelle installation, les paramètres utilisateurs le sont aussi et doivent être à nouveau créés.

Conditions requises pour la désinstallation

Un serveur de projet est installé sur votre ordinateur.

Désinstaller le serveur de projet

Procédez comme suit pour la désinstallation :

  1. Ouvrez le panneau de configuration.

  2. Dans le panneau de configuration, effectuez un double-clic sur l'entrée "Ajouter ou supprimer des programmes".

    La boîte de dialogue "Ajouter ou supprimer des programmes" s'ouvre.

  3. Sélectionnez dans la boîte de dialogue "Ajouter ou supprimer des programmes" l'entrée pour le "Serveur de projet", puis cliquez sur le bouton "Supprimer".

    Une demande de confirmation s'affiche.

  4. Confirmez en cliquant sur le bouton "Désinstaller".

Résultat

Le serveur de projet a été désinstallé correctement de votre ordinateur.